Introduction

The OmniLog Data Management software is an application for reading, displaying, analyzing, organizing and exporting data that has been downloaded from data loggers and weather stations.

Data can be read from data loggers and weather stations or retrieved from previously saved data files.

A connected datalogger or weather station can be configured, calibrated, started, read and stopped by this application.

Data retrieved from data loggers or weather stations and previously saved data files can be viewed and printed in a values spread sheet list, as a graph or as a statistics report. These values, graphs and statistics can be displayed and printed for all data or from a user selected block of data.

Data can also be exported in a large range of industry standard formats so as to be used by other applications.

In This Section

Typographical Conventions


Typographical Conventions

Before you start using this guide, it is important to understand the terms and typographical conventions used in the documentation.

For more information on specialized terms used in the documentation, see the Glossary at the end of this document.

The following kinds of formatting in the text identify special information.

Formatting convention | Type of Information
>>> File | A Menu Selection
>> | A Toolbar selection
>>>Ctrl+K | A Hot Key.
>>>Tools: Options... | A Dialog box called from a menu
[Reports] | Tab option within a Menu, Toolbar or Dialog Box

See Also

Introduction


Installing the Software

This section covers installation of the software and the system requirements for successful operation of the software.

In This Section

System Requirement

Suggested Windows Settings

Software Installation Procedure

Running the Omnilog Software for the first time

Context Sensitive Help


System Requirement

To use OmniLog you will need the following minimum system requirement

  • Microsoft Windows 95/98/ME/2000, or Windows NT 4.0 operating systems.
  • 486DX processor (Pentium or better is recommended).
  • 16MB of memory (32MB or better is recommended).
  • A hard disk with at least 15MB of free disk space, plus space for data.
  • Super VGA monitor .
  • Microsoft or 100% compatible mouse.
  • 1 spare Comm Port

See Also

Installing the Software

Suggested Windows Settings

Software Installation Procedure

Running the Omnilog Software for the first time

Context Sensitive Help


Suggested Windows Settings

To get the most out of OmniLog it is recommended that you have the following Windows Display Settings:

  • Display Resolution - 800 x 600 or higher resolution.
  • Display Colors - 256 or more colors

OmniLog will run without these settings, however some features may be more difficult to use and some display elements may appear less attractive or hard to find.

See Also

Installing the Software

System Requirement

Software Installation Procedure

Running the Omnilog Software for the first time

Context Sensitive Help


Software Installation Procedure

The OmniLog Data Management software is available both on CD ROM and via Internet . Installation procedures are as follows:

CD ROM

Insert the CD ROM into your drive

If the computer is set to Autorun CD's a Menu screen will be displayed

If the computer is not set Autorun CD's run the setup.bat file from the top folder on the CD ROM

Select "Install Omnilog" from the Menu

Follow the "General Installation Procedure" below

Internet Download

The OmniLog Data Management installation file can be downloaded from

http://www.trutrack.com - select Software - then Omnilog Download

Click on the download hyperlink and specify a folder on your computer for the downloaded file.

The downloaded file will be omni_install.exe

Once this file has finished downloading, run it from Windows Explorer.

Follow the "General Installation Procedure" below

General Installation Procedure

The Setup splash screen appears and after a few seconds the Setup Wizard that will guide you through the rest of the installation appears.

It is recommended that you accept the defaults suggested by the Setup program.

The first screen asks you to close any open applications and gives some copyright information.

Click Continue

The second screen asks for your name and organisation

Click OK

This second screen will be shown again for you to check your name and organisation details

Click OK

The Third screen will allow you to change the default location of the installed application. By default, the application will be installed in C:\Program Files\omni. If you would like the application installed in a different folder you can specify this folder with the Change Folder button.

Click OK

The forth screen tells you that Setup is now ready to start the installation

Click on the Button to start the installation

The Fifth screen will allow you to change the default Program Group that the Omnilog software will be installed under.

Click OK

The software will now be installed

The final screen will tell you if the installation has been successful. If the installation has failed for any reason, this screen will display and error message explaining the reason for the failure.

Click OK

See Also

Installing the Software

System Requirement

Suggested Windows Settings

Running the Omnilog Software for the first time

Context Sensitive Help


Running the Omnilog Software for the first time

After the OmniLog application has been successfully installed, there will be a new Program Group called OmniLog in the Windows Start-Program menu.

This Program Group will contain two links, one to the Omnilog Data Management application and the other to the Omnilog Help File.

Select Omnilog Data Management to run the application.

When you run the program for the first time the OmniLog Assistant will be displayed automatically. This Assistant provides help on selected topics and automates initial logger connection.

If a logger is connected to the computer running the Omnilog software and the program establishes a connection with the logger the Logger Control Screen will display automatically.

See Also

Installing the Software

System Requirement

Suggested Windows Settings

Software Installation Procedure

Context Sensitive Help


Context Sensitive Help

The Omnilog Help System has been designed to work in conjunction with the Omnilog Program. When the user presses F1 while in any Omnilog screen, help on that screen should automatically appear. The Help file should also be available from the Index and Contents options of the Help pull down menu. If the Help file is not available to the user in this way the Microsoft HTML Help Installation and Update Package (Hhupd.exe) must be run. This file is distributed with the Omnilog software from Omnilog Ver 1.35.

The HTML Help Installation and Update Package (Hhupd.exe) Ver1.32 will update HTML Help to the latest version, and can be freely redistributed. The 1.32 version of Hhupd.exe is available for the Intel platform only, and will work in all supported languages. Windows 2000 users should not run Hhupd.exe. This is because Windows 2000 ships with a version of HTML Help that does not require an update. There are no plans to add any new features to HTML Help. Any urgent updates will be handled by means of Windows 2000 service packs or Windows Update. For more information about updating Windows 2000, visit the , and .

The HTML Help Update Package (any language version of Hhupd.exe) will not run on a Windows NT system unless you have administrator privileges.

See Also

Installing the Software

System Requirement

Suggested Windows Settings

Software Installation Procedure

Running the Omnilog Software for the first time


Overviews

In This Section

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Data Environment Overview

The OmniLog Data Management System uses data that is organized into Datasets. A Dataset is collection of information about:

  • the logger used to take samples
  • the logger settings during data acquisition
  • the values downloaded from the logger.

Datasets can be created either by downloading data from a logger, by loading raw data from a previously saved log file or by joining existing datasets into a new derived dataset.

Once created, Datasets are available for selection in the Dataset Selector on the Tool Bar

When downloaded data is saved, it is saved in a raw data format (.log extension) that can be reloaded at a later date to create a new Dataset.

Datasets are displayed in Views. Each View of a Dataset can be displayed in a number of modes including Values, Statistics, Graph, Values & Statistics, Graph & Values and Graph & Statistics. Some of these views are available from the Main Toolbar, all views are available from the View Menu.

If require, the user can create a number of different views of the same Dataset. Each View of a Dataset is independent of all other Views. The view mode can be changed within each View. (eg if you right click on a Values View you can change it to any other mode)

See Also

Overviews

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Download procedure

There are two Download Procedures available within the Omnilog Application:

Automatic Download using the New function

Manual Download from the Download tab of the Logger Control function

Automatic Download will get all available information from a logger and save it to a file with a default filename as setup in the Format section of the Options window available from the Tools menu. Automatic Download will overwrite any existing files. When the Automatic Download is complete the newly saved dataset will be available in the Dataset Selector but will not become the active dataset.

Manual Download allows for partial download of the data where this is available on the logger. Manual Download DOES NOT save the dataset. The dataset is available for all OmniLog functions but will be lost if the Application is closed down before the dataset is saved. The dataset can be saved using the Save option of the File Menu or the Save Button on the main Toolbar. A manually downloaded Dataset can be manually saved using any valid filename chosen by the user. (A default filename, as setup in the Format section of the Options window available from the Tools menu, will be suggested by the system). A manual save can be used to overwrite existing Datasets.

See Also

Overviews

Data Environment Overview

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Alarm System Overview

The Alarm system is not available on all loggers. Where available, the Alarm system is used to alert the user to critical changes in one or more conditions.

These conditions can be setup by the user in the Alarms section of the Logger Control window available from the View menu and the Logger Control Button on the Tool bar. When the alarm condition or conditions are met, the logger can alert the user either by dialing a Pager or triggering an External Alarm Output.

To use the Pager option, the logger must be connected to the telephone network via a modem. The Pager Alarm Modem String, Phone Number and Message Number are setup in the Pager tab of the Options function. The External Alarm Output is a logger output line that can be used to trigger a warning device such as a siren, bell or flashing light.

The Alarms section of the Logger Control Screen allows the user to configure up to six Alarm conditions. These six alarm conditions can be use individually or in groups to trigger either the Pager alarm, the External Alarm Output or both.

To configure an alarm condition the user must choose a probe to monitor and enter a reference value for that probe. The user must then specify if the alarm condition is triggered by the probe value being Greater Than or Less Than the reference value. The type of alarm that is triggered when the alarm condition is meet can then be setup. The options are NO alarms, Pager Only, External Alarm Output Only and Both Pager and External.

Alarm conditions can be grouped together using the “Enable with Alarm” function. This function enables an alarm condition ONLY IF another alarm condition has been meet. This allows the user to set up an alarm that will trigger if and only if two or more alarm conditions are meet.

Examples of Alarm Configurations

Example 1

Pager alarm

IF Temperature is less than 4°C

Example 2

External alarm

IF Temperature is less than 4°C

Or Humidity is greater than 65%

Example 3

Pager alarm

IF Temperature is less than 4°C

OR

External alarm

IF Humidity is greater than 65%

Example 4

Pager alarm

IF Temperature is less than 4°C

AND Humidity is greater than 65%

Example 5

Pager alarm

IF Temperature is less than 4°C

AND Humidity is greater than 65%

AND Rainfall is less than 5mm

OR

External Alarm

IF Temperature is greater than 32°C

See Also

Overviews

Data Environment Overview

Download procedure

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Channel and Probe Setup Overview

Some loggers have been designed to work with a specific probe (sensor) on a specific channel. (Temperature Probe on Channel 1, Humidity on Channel 2 for example.) Other loggers allow a range of probes to be used on a number of channels.

Some loggers allow the user to specify Long and Short names for each channel on the logger or weather station. These names are used on the Values, Statistics and Graph Views of the Dataset and in Exported files. Other loggers have preset names assigned to the channels that can not be changed by the user.

All loggers allow the user to calibrate the available probes in some way. This may involve manual entry of offset and gain values, single point or two point calibration.

Some channels use the readings from other channels on the same logger to improve their accuracy. This is known as compensation. The readings from a humidity probe will become inaccurate with changing temperature however if the temperature is also being logged, this value can be used to correct or temperature compensate the value read from the humidity probe.

After download, all probe values are converted to SI units. These SI units can then be scaled to other measurement systems, for example, empirical units. (10°C becomes 50°F) On some loggers the user can manually enter scaling factors and unit names to give custom units. For example, a methane concentration probe may have an output of 4 to 20mA and a range of 0 parts per million to 500 parts per million. A 4 to 20mA logger channel can be scaled and the units renamed so that the 4 to 20mA output of the probe will be displayed as 0ppm to 500ppm.

The Channel and Probe Setup section of the Logger Control Window is used to:

  • Name Channels where applicable
  • Assign probes (sensors) to channels where applicable
  • Setup Scaling factors to display results in different or custom units
  • Setup Compensation Channels if required
  • Show the Calibration Procedure for a selected probe (sensor)
  • Calibrate the probe to increase its accuracy
  • Save all this information to the logger

For loggers that have a variety of standard probe sets (such as the GP-HR) there is a corresponding variety of factory defaults available to set up the loggers.

There can be some confusion between the function of the Calibration Offset & Gain and the Units & Scaling Offset & Gain.

Calibration is used to correct readings to their true values. If a Temperature sensor is reading 0.3°C low then calibration is used to take account of this and display the correct reading.

Scaling is used to change correct readings to other Units. If the logger is reading in °C we can use the Scaling Offset and Gain to convert the readings to °F.

Calibration Gain and Offset

These are used to convert the A2D converter and counter readings to SI Units
As much as possible we try to convert everything to SI units then Scale the readings to whatever the user requires.
There are five exceptions we have made because the SI units are of inconvenient scale
These are:
1... Temperature we use °C not °K
2... Distance we use millimeters not meters
3... Pressure we use hectaPascals not Pascals
4... For a milliVolt logger we use milliVolts not Volts
5... For a 20mA channel we use milliAmps not amps

There are tables of equations in the Omnilog software that convert the readings from the logger to SI Units (or preferred units). There can be small errors in these readings because of small inconsistencies in the sensors and electronic components used in the loggers. Calibration procedures minimize these small errors even further.

Scale Gain and offset

These are used to convert the SI units (or our preferred units as listed above) to the users required units.
So for example:
A 4-20mA channel will be calibrated so that the Calibration Gain and Offset will give the correct result in mA
The Scale Gain and Offset can be used to convert the mA's to any other units the user may want.
Another example:
Temperature Logger - the Calibration Gain and Offset will give a reading in °C - the Scale Offset and Gain can be used to scale this to °F or °K.
This scaling can be done automatically by clicking the Select button in the Scale box and selecting the required units.

In the case of the rain gauge the Calibration offset and gain are used to get the logger reading in mm. 0.5mm per tip therefore 2 tips per mm therefore Gain of 0.5
The Scale Offset and Gain could be used to read in meters or feet or yards of kilometers or miles or even fathoms if the user requires. The Select button will only give the common conversions and as feet and meters of rain are uncommon the only options available are inches and tips.

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Channel setup during logging Overview

Most loggers can record values from a limited set of their channels. A logger with two temperature channels and one humidity channel can be setup to record just one of the temperature channels if this is all that is required.

Some channels use the readings from other channels on the same logger to improve their accuracy. This is known as compensation. The readings from a humidity probe will become inaccurate with changing temperature however if the temperature is also being logged, this value can be used to correct or temperature compensate the value read from the humidity probe. This means that if we are to log humidity we must also log a temperature channel in order to do the compensation. This means that when we select some channels for logging, others may automatically be turned on.

On some loggers the user can select a variety of readings. These are Point Readings at the end of the Sample Period, Average Readings over the Sample Period, Maximum Readings over the Sample Period and Minimum Readings over the Sample Period.

Some loggers that have High Resolution Channels allow the user to reduce the resolution of the channel so as to store more samples in the memory of the logger.

The Channel Setup section of the Start Logger tab of the Logger Control function allows the user to select the logging modes of each channel including Point, Average, Maximum, Minimum and High or Low Resolution if these settings are available for the particular channel.

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Start Logging Process Overview

The connected logger is started from the Start Logger tab of the Logger Control function

Before starting the logger the following settings should be checked and changed if necessary:

  • The Sample Period (the time between each sample) can be set to any value between 1 sec and 9 hours 59 minutes 59 seconds
  • The Logger can be set to Start Now (start logging immediately) to Start on Time (start logging at some time in the future) and some loggers will allow Start on Trigger (the logger starts in the future when triggered by the user)
  • If Start on Time has been selected a Time to Start control will appear allowing you to enter the Date and Time for the Logger to start logging.
  • Some loggers can be set to Start on Condition. The used selects the channel to be monitored and the value and condition that will start the logging. When the monitored channel meets the condition the logger will start.
  • Some loggers can be set to Stop when Full or to Loop back and overwrite old data, so as to run continually.
  • Some Loggers also allow a Stop on Time option
  • If Stop on Time has been selected a Time to Stop control will appear allowing you to enter the Date and Time for the Logger to stop logging.
  • A 60 character Logger Identification field is provided for you to enter any text that you may want to use to identify the logger.
  • The available logger channels are displayed on the right of the Start Logger page
  • If available you can use this area to select PNT (Point Readings), AVG (Average Readings), MAX (Maximum Readings), MIN (Minimum Readings)
  • Low Resolution always save data in 8bit mode. Some of the High resolution loggers allow you to save data in 8bit or 12bit mode (saving in 8 bit mode will increase the number of readings the logger can hold). When this option is available Ticking the 12bit box will save data in 12bit High resolution mode. Not Ticking the box will save data in 8bit Low Resolution mode
  • When everything is set up correctly, Click the Start Logger Button to send the setup information to the logger.
  • If Start Now was selected the logger will start logging immediately.
  • Stop Logger and Read Configuration Buttons are also provided on this screen.

The Stop Logger Button will request the connected logger to stop logging. This will override previous Stop on Time, Stop when Full and Loop commands.

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Modem Link Overview

The loggers can use modem links both for general communications with a computer and to dial a pocket pager when alarm conditions occur. A special modem cable is required between the logger and the modem. The connection required for general communication is identical to that required to dial a pocket pager.

The logger is connected to a modem with a "logger to modem" cable (this is a different cable to the Download Cable). The modem is connect to the telephone network. The logger can now be controlled by any computer with a modem that is connected to the telephone network. The logger can also be configured to send a message to a pocket pager on the telephone network if user specified alarm conditions occur.

Type of Modem that can be used

The dataloggers communicate at 19200 baud. Most Hayes Compatable Modems that can lock the logger to modem (DTE) baud rate to 19200 can be used with these loggers. Some modems will try to autoseek the incomming baud rate from the logger. This type of modem cannot be used with these loggers.

Using the Modem Control Screen to connect to a remote logger/modem

Setting up Modems for General Communications and Pager Alarms

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter

Custom Probes


Omnilog Task Wizard Overview

The OmniLog Task Wizard is a task scheduling application that runs within the OmniLog Data Management Program. The user sets up a schedule of task to be carried out automatically at particular times. Tasks can be carried out once or repeated at regular intervals between a Start and Stop Date Time. The Task Wizard carries out the tasks and logs the results.

The Task Wizard can read Data, Realtime values and Alarm Status from loggers on Comm Ports and Modems and send this information to users via Email and automatically generated Web Pages. This assumes that the computer running the OmniLog program has internet access.

Tasks include:

  • Get the Dataset from a Logger on a Comm Port or Modem
  • Get the Real Time Data from a Logger on a Comm Port or Modem and Email it
  • Get the Real Time Data from a Logger on a Comm Port or Modem and Email it in a Cell phone Text message format.
  • Get the Real Time Data from a Logger on a Comm Port or Modem, Create a Web Page and post it to a WWW server using FTP
  • Get the Real Time Data from a Logger on a Comm Port or Modem, Create a Hand Held Device Web Page (.hdml) and post it to a WWW server using FTP
  • Get the Dataset from a Logger on a Comm Port or Modem, Create a Web Page and post it to a WWW server using FTP
  • Check the Alarms of Loggers on Comm Ports or Modems and Email Message If the Alarm is Active
  • Check the Alarms of Loggers on Comm Ports or Modems and Email the Alarm Status
  • Get a Dataset and export in Excel format
  • Get a Dataset and export in CSV format
  • Get a Dataset and export in Leading Zero Text format

Each Task can specify the comm port to use, The phone number of a remote modem, the email address and/or WWW server to use. If enabled, the Task Wizard checks for tasks every minute and carries out any pending tasks in the order they are entered into the schedule. There is no limit to the number of tasks that can entered into the schedule. Some tasks can take up to 50 seconds so a large number of tasks scheduled for the same time will cause delays. When the Task Wizard is in operation it takes over control of the OmniLog Data Management Program

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

PalmOS Omni Data Transporter

Custom Probes


PalmOS Omni Data Transporter

This is a software application that runs on Palm PDA's. It can be used to download and store logger data to a palm device, in the field, and upload the data to a PC running the Omnilog software (Ver 1.38 or greater) at a later date. The Palm device can be run in three modes:

DATA COLLECTOR MODE
In data collector mode you connect the Palm PDA to a Datalogger and press the Connect button. The Palm will communicate with the logger and Display information on the loggers status. Once this information has been displayed a Download button will also appear. Press this button to download all current data from the logger. This button will show the progress of the download and disappear when the download has been successfully completed. After download a "Restart the Logger" screen allows the user to Start the logger again in "Stop when Full" or "Run Looping" mode if required.

TRANSPORTER MODE
In transporter mode you connect the Palm PDA to a computer Running the Omnilog Software (Version 1.38 or greater). The Omnilog Software recognizes the Palm PDA as a Dataset Transporter and establishes an uplink with the Palm PDA. The Transporter Window will automatically display on the PC and individual datasets, or all datasets can be downloaded as required.

BE A LOGGER MODE
In "Be a Logger Mode" you connect the Palm PDA to a computer Running the Omnilog Software. You Then Select the dataset to be uploaded to the computer And press the 'Standby for Uplink' button. The Palm PDA them mimics the operation of the logger for the selected dataset. The Omnilog software can be used for download as if the logger was connected directly to the Omnilog Computer.

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

Custom Probes


Custom Probes

Users can setup Custom Probe Formula for the general purpose channels on SafeT, GP-HR and GP-MC loggers. This allows users to take the raw AtoD converter counts from the logger and translate them using custom formula.

There are eight custom probe types available in the system.

  • Custom1 and 2 are ratiometric with a positive correlation
  • Custom3 and 4 are ratiometric with a negative correlation
  • Custom5 and 6 are absolute with a positive correlation
  • Custom7 and 8 are absolute with a negative correlation

Lets define these terms

A ratiometric probe produces an output voltage that is proportional to the input voltage. The quantity being measured, is measured as a proportion of the total input voltage.

An absolute probe produces an exact voltage or current for any given measured quantity. The quantity being measured always produces the same voltage or current for any given reading.

Some probes produce an output that is inversely proportional to the quantity being measured. For example a temperature sensor might have a high output at low temperature and produce less voltage as the temperature increases. We refere to this as having a Negative Correlation. Most probes have a output that increases as the measured quanitity increases and are said to have a Positive Correlation.

If you are going to setup a Custom Probe Formula, first you have to determine if you probe is absolute or ratiometric and weather it has a positive or negitive correlation and then select the correct Costom Formula

  • Custom1 and 2 are ratiometric with a positive correlation
  • Custom3 and 4 are ratiometric with a negative correlation
  • Custom5 and 6 are absolute with a positive correlation
  • Custom7 and 8 are absolute with a negative correlation

The user enters the custom formula's into a text file. This text file is read by Omnilog when it starts up and the formulars are then available to the Omnilog system. The text file must be called custom.txt

The formulas can be entered in the text file in any order. The formula must start with the word CUSTOM and then the formula number, an equals sign and then the formula, so for example custom formula 5 would look like this:

CUSTOM5=((x/34.5)*(x/0.23)

where ((x/34.5)*(x/0.23) is the required formula

Any lines that do not start with CUSTOM will be ignored (so these can be used as comment lines if required.

The following Variables, Operators Constants and Functions can be used within the formulas:

Variables

  • x is the AtoD converter count passed into the equation by Omnilog
  • cg is the Calibration Gain for the Channel
  • co is the Calibration Offset for the Channel
  • a is the converted value from the first compensating channel
  • b is the converted value from the secong compensating channel
  • asi is the averaging sub interval
  • ap is the averageing period for the fast pulse input
  • lp is the logging period

Operators

  • + add
  • - subtract
  • * multiply
  • / divide
  • ^ power

Functions

  • log() returns the natural logarithm (base e)
  • log10() returns the common logarithm (base 10)
  • sqrt() returns the square root
  • exp(x) returns the value of e^x where x is a specified numeric expression
  • sin() returns the sine of an angle in radians
  • cos() returns the cosine of an angle in radians
  • tan() returns the tangent of an angle
  • rtod() turns radians to degrees
  • int() returns the integer value
  • mod(nDividend, nDivisor) Divides one numeric expression by another numeric expression and returns the remainder
  • iif(e,f,g) is an inline if function such that, if e, the function returns f, otherwise it returns g

Constants

  • -999999999 is used by Omnilog to represent a reading that is offscale high or offscale low. It will be displayed as "No Data" in the realtime screen and Grayed out in views of datasets

Equation Examples

Raise the incomming AtoD value to the power of 3.141 then devide the result by 347
(x^3.141)/347

If the incomming AtoD is less than 850 return "No Data" otherwise return x devided by 655.35
iif(x<850,-999999999,x/655.35)

Multiply the incomming AtoD value by the calibration gain, subtract the calibration offset, convert to radians and return one minus the cosine of this value
1-cos(dtor((x*cg)-co))

See Also

Overviews

Data Environment Overview

Download procedure

Alarm System Overview

Channel and Probe Setup Overview

Channel setup during logging Overview

Start Logging Process Overview

Modem Link Overview

Omnilog Task Wizard Overview

PalmOS Omni Data Transporter


Tutorial

The following sections are a quick tutorial on how to use the program. For a more complete reference to each screen and its function please refer to the Reference section.

If you are new to Microsoft Windows 95/98/NT/ME/2000 you should spend some time familiarizing yourself with using Windows. Read the "Introducing Microsoft Windows Guide", or choose Help from the Start menu, then choose the Windows Tour.

In This Section

Installing OmniLog

Starting OmniLog

Connecting to a Logger

Viewing the current status of a Datalogger

Starting a Datalogger

Downloading data from a datalogger

Opening a Log file

Saving a Log File

What is a Dataset

Viewing data in Values Statistics or Graph mode

Displaying Realtime Data from a connected logger

Exporting Datasets

Joining Datasets to create a Derived Dataset

Selecting and Calibrating Datalogger Channels

Using the Omnilog Task Wizard

Installing OmniLog

How do I install the Omnilog Software

Starting OmniLog

After you have run Setup, you will see a new program folder in the Programs menu called OmniLog (unless you changed it to something different during the Setup program).

To Start OmniLog

  • Choose Start on the Task bar.
  • Select Programs, and then OmniLog
  • Select OmniLog Data Management to Run the software

Connecting to a Logger

To connect the logger to your computer you will require a download cable. Different download cables are required for different families of loggers. There are five types of download cable:

  • Older Tubular Loggers (Mk1 and Mk2) (2pin socket to 9pinD)
  • New Tubular Loggers (Mk3) 3pin socket to 9pinD)
  • SafeT and microToT (3.5mm Jack to 9pinD)
  • Multi-channel Logger (9pinD Female to 9pinD Male)
  • Weather-Pro weather station (RJ11 to 9pinD adaptor)

Connect the Download cable to the logger

Select a spare Comm Port and connect the download cable to the computer

Run the OmniLog Software and setup the Comm Port

Viewing the current status of a Datalogger

How do I view the curent status of a connected Datalogger

Starting a Datalogger

How do I start a Datalogger

Downloading data from a datalogger

How do I download data from the Datalogger

There are two ways to download data:

  1. Quick Download of all data using the New function
  2. Normal Download

Opening a Log file

How do I open a Log File

Saving a Log File

How do I save a data to a LOG File ?

There are two methods of saving Log Files

  1. The New function downloads all data from a datalogger and saves the downloaded data to a LOG file
  2. The Save function allows you to save data in a LOG file

What is a Dataset

What is a Dataset

Viewing data in Values Statistics or Graph mode

How do I view newly downloaded or opened data ?

Select the Dataset you wish to view in the Dataset Selector on the Toolbar

  • View Dataset in Values Mode
  • View Dataset in Statistics Mode
  • View Dataset in Graph Mode

Displaying Realtime Data from a connected logger

How can I view readings from the logger in Real Time ?

Exporting Datasets

I want to export my data so that I can use it in another application -how do I do it ?

Joining Datasets to create a Derived Dataset

I have datasets from 4 different loggers that were all logging over the same time period. I want to see all the data displayed on one graph. Can I join datasets to do this ?

Selecting and Calibrating Datalogger Channels

How do I choose which probe or sensor is connected to which channel ?

How do I calibrate a sensor ?


Using the Omnilog Task Wizard

Using the Omnilog Task Wizard to automatically download data from a logger on a Comm Port at 1am each night.

  • Select the Omnilog Task Wizard from the Tools Menu
  • Click the New button to create a New Task
  • Select "Download Dataset" from the task box

  • Give the Task a meaningful name. eg "Get dataset from Comm 1"

  • Under Schedule Select Periodically, Every 24 hours, starting from 1am tomorrow to 1am in a years time

  • Under Logger Connection Select "Direct" and the required Comm port

  • Click Run

Omnilog will connect to the logger on Comm 1 and download data at 1am every night for a year, assuming that Omnilog and the Task Wizard are running.

Using the Omnilog Task Wizard to automatically download data from a logger on a remote modem at midday once a week.

  • Select the Omnilog Task Wizard from the Tools Menu
  • Click the New button to create a New Task
  • Select "Download Dataset" from the task box

  • Give the Task a meaningful name. eg "Get dataset from Whites Bridge"

  • Under Schedule Select Periodically, Every 7 days, starting from noon tomorrow to noon in a years time

  • Under Logger Connection Select "Modem" and the required Comm port for the computers modem and the phone number of the remote modem

  • Click Run

Omnilog will connect to the logger via the modem on Comm 2 and the remote modem at 384 2744 and then download data at noon once a week for a year, assuming that Omnilog and the Task Wizard are running.

Using the Omnilog Task Wizard to automatically read real time data from a logger and email it to a given email address once every 30 minutes for 1 day.

  • Select the Omnilog Task Wizard from the Tools Menu
  • Click the New button to create a New Task
  • Select "Read Realtime and Email" from the task box

  • Give the Task a meaningful name. eg "Email Realtime to Tim"

  • Under Schedule Select Periodically, Every 30 Mins, starting from midnight today to midnight tomorrow

  • Under Logger Connection Select "Modem" and the required Comm port for the computers modem and the phone number of the remote modem

  • We now have to enter the email address to send the email to

  • Click Run

  • Omnilog will connect to the logger via the modem on Comm 2 and the remote modem at 384 2744 and get the realtime readings every 30 minutes and email them to tim@abc.com for one day.

Using the Omnilog Task Wizard to automatically download the real time data from a logger, create a web page from the real time data and publish the web page to a web server.

  • Select the Omnilog Task Wizard from the Tools Menu
  • Click the New button to create a New Task
  • Select "Read Realtime and FTP to WEB" from the task box

  • Give the Task a meaningful name. eg "Publish Realtime to WEB"

  • Under Schedule Select Periodically, Every 24 hours, starting from 1am tomorrow to 1am in a years time

  • Under Logger Connection Select "Direct" and the required Comm port

  • We now have to setup the website information including the name of the FTP site, the username, the password and the filename for our web page

  • Click Run

Omnilog will connect to the logger on Comm 1 and read the realtime data at 1am every night for a year, assuming that Omnilog and the Task Wizard are running.

Omnilog will then create a Web Page from the realtime readings called pumphouse.html. If the computer is connected to the internet, Omnilog will then publish the web page to ftp.trutrack.com with the username taskwizard and a password.

See Also

Tutorial

Installing OmniLog

Starting OmniLog

Connecting to a Logger

Viewing the current status of a Datalogger

Starting a Datalogger

Downloading data from a datalogger

Opening a Log file

Saving a Log File

What is a Dataset

Viewing data in Values Statistics or Graph mode

Displaying Realtime Data from a connected logger

Exporting Datasets

Joining Datasets to create a Derived Dataset

Selecting and Calibrating Datalogger Channels


Reference

The Reference Section explains each screen and function in detail.

In This Section

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


The Main Screen

The OmniLog main screen contains a TITLE bar that displays a version number of the Omnilog application, a MENU bar for accessing all Omnilog functions, a TOOLBAR for accessing commonly used functions and a STATUS bar for reporting the status of connected loggers or weather stations and the progress of calibration, configuration, download, statistical calculation, graph preparation and export operations.

In This Section

Menu Bar

Main Toolbar

Main Status bar

See Also

Reference

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Menu Bar

The Menu bar is displayed directly beneath the title bar on the main screen. The Menu bar contains lists of commands broken up into menus that drop down when selected. The following functions are accessed from the Menu bar:

>>>File |
New | Create a New Dataset by downloading all data from the Currently Connected Logger and automatically saving it using the Default Dataset Name
Open... | Open a Log File or Derived Dataset File and make it the Active Dataset
Close | Close the Active Window
Save... | Save data from the Currently Connected Logger to a Log File
 | Export data from the Active Dataset for use in other applications
Join... | Join data from two or more Log files to create a Derived Dataset File
Print Setup... | Select Printer and Print Options
Print... | Print Values, Statistics or Graph reports from the a Dataset View
Exit | Quit the Application
>>>Edit |
Cut | Cut selected block and place on clipboard
Copy | Copy selected block to clipboard
Paste | Paste clipboard to current cursor position
Clear | Clear selected block
Select All | Select all characters in a cell
Change dataset Units... | Changes the units of one channel of data in the Active Dataset (eg millimeters to inches)
Add Derived Channel... | Adds a channel to the dataset that has been derived from other channels (eg Dew Point, Wind Chill)
>>>Tools |
Disconnect...Reconnect | Disconnects from the current logger and connects to a new logger. This is only required if loggers are disconnected and reconnected in less that 4 seconds
AutoConnect | The system defaults to AutoConnect at start up. If no logger is going to be connected to the system and Omnilog is being used to display historic datasets, the AutoConnect can be deselected to improve system performance. A tick mark is displayed by AutoConnect when it is selected.
Dataset History... | User can select Datasets and remove them from the Active Dataset Selector
Modem Control | Controls connection of logger via the computers modem
Phone Book | Add and Edit Modem Phone Book
Setup Remote Modem... | Sets up modem for use as a remote modem
Radio Control | Controls connection of loggers via a radio module on the computers Comm Port
Reset to Factory Default | Sets Loggers Channel and Probe Setup including Calibration Values to the Factory Default
OmniLog Task Wizard | The Task Wizard is used to set up a list of Tasks and automatically perform the tasks at scheduled times
Task List | Shows a list of tasks set up in the Task Wizard that can be performed manually
Set Computer Clock from Internet | If the computer is connected to the internet, this function can be used to accuratly set the computers clock
Log Time Calculator | Used to calculate run time and stop date for Loggers given logging periods and the number of channels logged
Flow Setup Wizard | Wizard to guide users through the setup of Flow sensors on logger channels
Flow Report Wizard | Wizard to guide users through the production of Flow reports from loggers that have flow sensors
Firmware Uploader | Function to Upload new Firmware to some loggers
Options... | Application settings (eg Date Format, Graph Color, Comm Port used...)
>>>Views |
Values View | Creates a new Dataset View of the Active Dataset in Values mode
Statistics View | Creates a new Dataset View of the Active Dataset in Statistics mode
Graph View | Creates a new Dataset View of the Active Dataset in Graph mode
Values and Statistics | Creates a new Dataset View of the Active Dataset in Values and Statistics mode
Graph and Values | Creates a new Dataset View of the Active Dataset in Graph and Values mode
Graph and Statistics | Creates a new Dataset View of the Active Dataset in Graph and Statictics mode
Real Time | Shows Logger Channels in Real Time
Logger Control | Controls all aspects of the Connected Logger (Configuration, Calibration, Starting and Download)
>>>Window
Arrange All | Arrange all open windows so that they fit on the current screen
Hide | Hide the Active window
Show All | Shows all hidden Windows
Cycle | Select the next Window in the list of open windows
>>>Help |
Contents | The Contents page of the OmniLog Help File
Index | The Index page of the OmniLog Help File
OmniLog Frequently Asked Questions on the World Wide Web | If your computer is connected to the Internet, this option will take you to a list of Frequently Asked Questions about OmniLog on the World Wide Web.
About OmniLog | OmniLog About Dialog screen

Some of the options carry out commands, and others display a window so that you can enter additional information. If an option is followed by an ellipsis (...), it will display a window, otherwise the command is carried out.

See Also

The Main Screen

Main Toolbar

Main Status bar


Main Toolbar

The Tool Bar icons give quick access to frequently used functions:

New | Create a New Dataset by downloading all data from the Currently Connected Logger and automatically saving it using the Default Dataset Name
Open | Open a Log File or Derived Dataset File and make it the Active Dataset
Save | Save data from the Currently Connected Logger to a Log File
Join | Join data from two or more Log files to create a Derived Dataset File
 | Export data from the Active Dataset for use in other applications
Print | Print Values, Statistics or Graph reports from the a Dataset View
Values | Creates a new Dataset View of the Active Dataset in Values mode
Statistics | Creates a new Dataset View of the Active Dataset in Statistics mode
Graph | Creates a new Dataset View of the Active Dataset in Graph mode
Reports | Provides a range of standard and special Dataset reports
Trends | Shows Trends from logged channels for the last 1 hour, 1 day, one week or one month
Real Time | Shows Logger Channels in Real Time
Logger Control | Controls all aspects of the Connected Logger (Configuration, Calibration, Starting and Download)

See Also

The Main Screen

Menu Bar

Main Status bar


Main Status bar

The Status Bar shows the Status, Type and Serial number of any connected logger and the progress of operations such as Downloads or Statistical Calculations

See Also

The Main Screen

Menu Bar

Main Toolbar


New

>>> File: New

>>> Ctrl+N

>>

The New function is only available when Connected Logger is selected as the Active Dataset

The New function creates a new Dataset by downloading all available data from the connected logger. This data is automatically saved with the default filename specified in Options Format. If a file with the same name already exists it will be overwritten.

The New Dataset is added to the Dataset Selector under the Connected Logger. The New Dataset does not become the Active Dataset.

This function is useful for data collection in the field. The logger is connected to a lap top. After the status bar shows that the logger is connected the new function can be used to download and save all data with one keystroke.

If Append previous download to Connected Logger dataset when logger connects is ticked in the Tools>>>Options [Program] screen the data in the Connected Dataset will be UPDATED, not replaced.

See Also

Reference

The Main Screen

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Open

>>> File: Open...

>>> Ctrl+O

>>>

The Open function is always available

The Open function opens a data file, creates a Dataset and adds the Dataset to the Dataset Selector. Once opened the Dataset becomes the Active Dataset

The file to Open is selected from the Open Dialog Box. There are two types of file that can be opened to create a new dataset.

  • Log files (with the file extension .log) contain raw data downloaded from a logger. The data is processed as part of the Open function to create a Dataset. Log files are created by the New and Save functions.
  • Derived Dataset Files (with the file extension .dds) Derived Dataset Files are created by the Join function.

See Also

Reference

The Main Screen

New

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Save

>>> File: Save...

>>> Ctrl+S

>>>

The Save function is only available when the Dataset Selector is set to Connected Logger

The Save function saves the most recently downloaded data and adds the saved dataset to the Dataset Selector. The Omnilog Application saves data in a proprietary format which has a .log file extension.

The Save function displays a Save As dialogue box. This dialogue box provides a default file name but allows the user to give any valid filename to the dataset to be saved.

See Also

Reference

The Main Screen

New

Open

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Export

>>> File: Export...

>>

The Omnilog Application can export datasets in a number of industry standard formats including Microsoft Excel, Lotus 123, Lotus Symphony, DIF, Microsoft Multiplan, Symbolic Link Format, CSV, HTML and Space delimited Text Format.

An additional Fixed length, Leading Zero, Comma delimited, text export format was added with Omnilog 1.38 for export to statistical and scientific modeling packages.

The Export function displays the Export Dialog Box

See Also

Reference

The Main Screen

New

Open

Save

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Join

>>> File: Join...

>>>

The Join function is used to combine the data from two or more loggers into one dataset. Because the dataset is derived from a number of loggers, this is referred to as a Derived Dataset.

The Join function displays the Join Dialog Box.

The time base (Start DateTime, Stop DateTime and Sample Period) of the new joined dataset can be set in three different ways:

1... It can be a copy of the time base from a dataset that already exists on your system

2...A time base can be created that will include all all data from ALL the datafiles that are selected to create the join dataset

3...The user can specify a Start DateTime, Stop DateTime and Sample Period

Radio buttons at the top of the Join Dialog box are used to select the required time base.

If "Timebase from ONE Dataset" is selected the Dataset to be used as the time base must then be selected.

Once the time base has been selected, the user selects the datasets that are to joined then selects channels from the datasets and moves these channels to the Joined Dataset grid using the mover buttons.

Select a dataset

Select the required channels

Use the mover buttons to move the required channels to the "Joined Dataset Grid

The "Joined Dataset" grid includes a column labeled "New Channel Name". The name of the channel in this column can be changed. This new channel name will be used in the joined dataset.

When a number of different datasets are joined the sample periods and start times of the datasets may well be different. To accommodate this, the Join function uses a syncronisation time when joining the datasets. If two datetimes are within this syncronisation time they are considered to have the same sample time.

When the timebase, required datasets and channels, new channel names and syncronisation time have been selected the Join button is used to create the new joined dataset.

A dialog box will then ask for a file name for the new joined dataset.

The progress of the join operation is shown on the status bar

One complete the new dataset will be added the the systems dataset history and the new joined dataset will become the current active dataset.

See Also

Reference

The Main Screen

New

Open

Save

Export

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Print

>>> File: Print...

>>> Ctrl+P

>>

The Print Tool Bar Button allows the user to print the Values Spread Sheet, the Statistics Report or the Graph that is displayed in the current Dataset View Window. It allows the user to select printing options including Full dataset or Selected block mode and Black and White or colored printing.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Change Dataset Units

>>> Edit: Change Dataset Units...

This function is used to change the units for one channel of data within the Active Dataset. The Change Dataset Units function displays the Change Dataset Units Dialog Box.

This function always operates on the Active Dataset displayed in the Dataset Selector on the Toolbar.

To change the units of one channel of data:

  • Select the required channel
  • Select the new required units
  • Click the Convert Button

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Add Derived Channels

>>> EDIT Add Devived Channel

This function is used to add a channel to the active dataset. Selecting the Add Derived Channel function displays the Add Derived Channel Dialog Box. Derived channels are calculated from channel data that is already contained in the dataset. For example, we can derive Absolute Humidity from Temperature and . We can derive the equivelent Wind Chill Temperature from Temperature and Wind speed.

  • Select the type of derived channel you wish to add to the dataset (Note: select the correct type for the units used in the dataset)
  • Select the logger channels to be used to calculate the derived channel
  • Click on the Create New with Derived Channel button
  • A Save AS dialog box will ask for a name for the new derived dataset

You can now List, graph and report on the new derived channel as if it was any ordinary dataset channel

More than one derived channel can be added to a dataset. For example if we are working with a dataset that has Maximum and Minimum Temperature and Relative Humidity we could add Maximum Absolute Humidity, Minimum Absolute Humidity, Maximum and Minimum Dew Point.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Values View

>>> View: Values View

>>> Alt+V

>>>

The Values View function displays a View of the Active Dataset (the Dataset displayed in the Dataset Selector on the Toolbar) with the data shown in Values mode.

A number of Block Mark and Display functions are available in this mode. These are selected from a popup menu that is displayed on a right mouse click with in the Values display. These functions include:

Start of block | Marks the current sample as the start of a block of data within the dataset. The block can be used to display graph and statistics for a block of data within a aset
End of Block | Marks the current sample as the end of a block of data within the dataset. The block can be used to display graph and statistics for a block of data within a Dataset
Clear Block | Clears a block so that the entire dataset can be viewed in graph and statistics mode
Go to Sample... | Finds a Sample by number, in the Values section of a Dataset View
Go to Date Time... | Finds a Date Time in the Values section of a Dataset View
Values View | Sets the Dataset View to Values only.
Statistics View | Sets the Dataset View to Statistics mode only. Any blocks set in the previous values mode will be reflected in the new Statistics View
Graph View | Sets the Dataset View to Graph mode only. Any blocks set in the previous values mode will be reflected in the new Graph View
Values and Statistics | Sets the Dataset View to a combination of both Values and Statistics modes
Graph and Values | Sets the Dataset View to a combination of both Graph and Values modes
Graph and Statistics | Sets the Dataset View to a combination of both Graph and Statistics modes

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Statistics View

>>> View: Statistics View

>>> Alt+S

>>>

The Statistics View function displays a View of the Active Dataset (the Dataset displayed in the Dataset Selector on the Toolbar) with the data shown in Statistics mode. Limits can be set up for each value to be logged in Tools Options... Limits

The following Statistics are provided for each channel in the Dataset

  • Mean
  • Maximum
  • Minimum
  • Range
  • Standard Deviation
  • Variance
  • The Upper Limit
  • The Number of Samples above the upper limit
  • The Percentage of samples above the upper limit
  • The Time spent above the upper limit
  • The Lower Limit
  • The Number of Samples below the lower limit
  • The Percentage of samples below the lower limit
  • The Time spent below the lower limit
  • The Number of Samples outside both limits
  • The Percentage of samples outside both limits
  • The Time spent outside both limits
  • The Number of Samples inside both limits
  • The Percentage of samples inside both limits
  • The Time spent inside both limits

A number of functions are available in this mode. These are selected from a popup menu that is displayed on a right mouse click with in the Values display. These functions include:

Values View | Sets the Dataset View to Values only.
Statistics View | Sets the Dataset View to Statistics mode only. Any blocks set in the previous values mode will be reflected in the new Statistics View
Graph View | Sets the Dataset View to Graph mode only. Any blocks set in the previous values mode will be reflected in the new Graph View
Values and Statistics | Sets the Dataset View to a combination of both Values and Statistics modes
Graph and Values | Sets the Dataset View to a combination of both Graph and Values modes
Graph and Statistics | Sets the Dataset View to a combination of both Graph and Statistics modes

If a block has been selected, the Statistics View will show statistics for that block. The Statistics View will be displayed with a dark green background indicating that a block has been set and that the statistics shown are for that block only.

There are two ways of defining a block.

  • Using the values screen and defining the start and end of block
  • Using the graph screen and zooming into the area of concern.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Graph View

>>> View: Graph View

>>> Alt+V

>>>

The Graph View function displays a View of the Active Dataset (the Dataset displayed in the Dataset Selector on the Toolbar) with the data shown in Graph mode. When initially displayed the Graph Display will show blank axes. Use the Channel Legend Buttons to the right side of the screen to select the channels to be graphed. If the number of channels exceeds the space available to show all the buttons the up and down arrows at the bottom of the buttons can be used to scroll through all the channel buttons.

A number of Zoom, Scale, Pan and Display functions are available in this mode. These are selected from a popup menu that is displayed on a right mouse click with in the Graph Plot area of the display. These functions include:

Zoom to full

Zooms the graph out to display the whole dataset. This will clear any blocks that may have been set

Zoom In

Decreases the number of samples displayed on the graph

Zoom Out

Increases the number of samples displayed on the graph

Redraw Graph

Sometimes Message boxes and other Data views can partially erase graphs as they pass over them. This option is used to redraw the graph if this occurs

Percentage Scale

It can be difficult to compare two plots with vastly different magnitudes on the one graph. (eg if you are comparing Humidity 45%RH to 65%RH and Pressure 1004hPa to 1016hPa both plots will show as straight lines when compared on a normal graph.) The Percentage Scale option can be used to normalize the data so that the range of each plot will be shown as 0% to 100%. This allows data of dissimilar range and magnitude to be compared easily. Absolute values for the plots can still be seen on the Channel Legend Buttons.

Auto Scale

The OmniLog Application choses a Scale and range that best fits all the data displayed

Manual Scale

The user can enter High Scale (maximum value on the Y axis) and Low Scale (minimum value on the Y axis).Any data that falls outside these limits will be ignored by the graph.

Pan

This displays a sub menu of Pan options including:

  • Pan Left to Start of Dataset (or block if selected)
  • Pan Left Full screen
  • Pan Left 1/2 screen
  • Pan Right 1/2 Screen
  • Pan Right Full Screen
  • Pan Right to end of Dataset (or block if selected)

Values View

Sets the Dataset View to Values only.

Statistics View

Sets the Dataset View to Statistics mode only. Any blocks set in the previous values mode will be reflected in the new Statistics View

Graph View

Sets the Dataset View to Graph mode only. Any blocks set in the previous values mode will be reflected in the new Graph View

Values and Statistics

Sets the Dataset View to a combination of both Values and Statistics modes

Graph and Values

Sets the Dataset View to a combination of both Graph and Values modes

Graph and Statistics

Sets the Dataset View to a combination of both Graph and Statistics modes

A block can be set in Graph View by clicking on any point in the plot area of the graph and dragging the block marker to a second point. When the mouse button is released after the drag is finished, the block is marked and the graph display zooms in to this block. To clear the block markers use Zoom to Full from the Graph Right Click popup menu. A block mark performed in Graph mode will be reflected in Values and Statistics mode.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Values and Statistics

>>> View: Values and Statistics

Displays a Dataset view in a split screen combination of Values and Statistics modes. The Statistics displayed will be for the data that is block marked in Values. If the data block is changed the statistics will be refreshed to show the new block.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Graph and Values

>>> View: Graph and Values

Displays a Dataset view in a split screen combination of Graph and Values modes. As the mouse pointer is moved on the graph plot area the Values section of the screen will show all the channel values at the Date Time of the mouse pointers position.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Graph and Statistics

>>> View: Graph and Statistics

Displays a Dataset view in a split screen combination of Graph and Statistics modes. The Statistics displayed will be for the data that is block marked in Graph. If the data block is changed the statistics will be refreshed to show the statistics values for the new block.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Trends

The Trends display screen shows a small bar graph for each logged channel showing the trends over the last hour, last day (24 hours), last week (7 days) or last month (31 days) of downloaded data.

The time period can be selected by the user at the top of the screen. If there is not sufficient data for the time period selected a warning message will be displayd and the Trend display will be left blank. If the logging period is too large for the trend period selected to be displayed properly a warning message will be displayd and the Trend display will be left blank.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Real Time Screen

>>> View: Real Time

>>> Ctrl+R

>>>

The Real Time display gives a dynamic display of data which is being continuously downloaded from a connected logger or weather station in real time. The values displayed were collected on the last read of the logger or weather station. The time interval between real time reads is setup in the Comms section of the Options screen which is accessed from the Tools Menu.

The Status Bar of the Real Time display shows the number of samples held in the Connected Logger and any alarm conditions that may have occurred.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Reports

>>> View: Reports...

>>>

The Reports function displays a list of available reports. This list will always include The Logger Status Report and The Dataset Periodic Report. Other reports are available but these are supplied as separate modules. These additional reports are supplied as EXE files that must be installed into the same directory or folder as the OmniLog Data Management Program. When present these additional reports will appear automatically in the Reports list.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Logger Control

>>> View: Logger Control

>>> Ctrl L

>>>

The Logger Control Screen is a set of functions used to control the Logger or Weather Station that has been connected to the computer.

The Logger Control screen gives access to

  • Logger Status
  • Logger Start Procedures
  • Logger Data Download procedures
  • Channel and Probe setup and calibration procedures
  • Alarm Conditions setup and Testing
  • Alarm Pocket Pager setup

In This Section

Logger Status

Start Logger

Download

Channel and Probe Setup

Alarm Conditions

Pager

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Logger Status

>>> View: Logger Control [Logger Status]

>>> Ctrl L [Logger Status]

>>> [image] [Logger Status]

The Logger Status tab shows the configuration retrieved from the currently connected logger the last time its configuration area was downloaded. The Read Configuration button on this screen can be used to reread the configuration area from the logger and display the current status.

The Logger Status screen gives the following information:

Type

This displays the type of logger currently connected

Battery Status

The Battery Status indicator shows the current state of the loggers internal battery. It will indicate that the battery is OK (green) , Marginal (yellow) or requires Replacement (red).

You can check the Actual Battery Voltage by clicking on the colored area of the Battery Status indicator. This will give you a Battery Check Window.

Firm ware

The Version Number of the loggers internal program

Serial Number

The Serial number of the logger. Each logger has a unique serial number

Trips

The number of times the logger has been started

Log Status

The current status of the logger. The status will be one of the following:

  • Waiting for Start on Time
  • Waiting for Trigger
  • Running to Full
  • Running Looping
  • Running to Stop Time or Full
  • Running Looping to Stop Time
  • Stopped

Period

The time period in hours minutes and seconds between logging samples. The minimum period is 1 second and the maximum period is 9 hours 59 minutes 59 seconds

Total Samples

The total number of samples that have been collected by the logger in the current trip

Last Programmed

The date and time that the logger was last programmed. This date and time is taken from the computer used to start the logger.

Log Time

The date and time as read from the logger. Remember this is the data and time the logger was last read.

Start

The Date and Time that the logger started or has been programmed to start

Stop

The date that the logger stopped or has been programmed to stop

User Area

The Logger User Area is a 60 character text area into which the user can enter identification information about the logger.

See Also

Logger Control

Start Logger

Download

Channel and Probe Setup

Alarm Conditions

Pager


Start Logger

>>> View: Logger Control [Start Logger]

>>> Ctrl L [Start Logger]

>>> [image] [Start Logger]

The Start Logger tab is used to start, stop or restart a logger.

Battery Status

The Battery Status indicator shows the current state of the loggers internal battery. It will indicate that the battery is OK (green) , Marginal (yellow) or requires Replacement (red).

You can check the Actual Battery Voltage by clicking on the colored area of the Battery Status indicator. This will give you a Battery Check Window.

Sample Period

The Sample Period (the time between each sample) can be set to any value between 1 sec and 9 hours 59 minutes 59 seconds

Start Now

The Logger will start logging data as soon as the logger is started

Start on Time

When Start on Time has been selected a Time to Start control will appear allowing you to enter the Date and Time for the Logger to start logging.

Start on Trigger

The logger starts in the future when triggered by the use

Start on Condition

The logger starts in the future when a user defined condition occurs. First select the channel to be monitored and then enter the value and condition that will start the logging. When the monitored channel meets the condition the logger will start. In the example below logging will start when the internal temperature rises above 20°C. If the temperature is already above 20°C the logger will start immediately

Stop when Full

The logger will stop logging data when the memory is full. This is the default setting.

Loop

The logger will continue logging data even when the memory is full. The new data will over write the oldest data. This is not available on all loggers.

Stop on Time

If Stop on Time has been selected a Time to Stop control will appear allowing you to enter the Date and Time for the Logger to stop logging. This option is not available on all loggers.

User Area

A 60 character Logger Identification field is provided for you to enter any text that you may want to use to identify the logger.

Probes setup in start logger screen

The available logger channels are displayed on the right of the Start Logger page

If available you can use this area to select

  • PNT (Point Reading at time of logging)
  • AVG (Average Reading over the sample period)
  • MAX (Maximum Reading over the sample period)
  • MIN (Minimum Reading over the sample period)

When the box is ticked that information will be logged. If no boxes are ticked for a probe then no data will be logged for that probe.

Low Resolution always save data in 8bit mode. Some of the High resolution loggers allow you to save data in 8bit or 16bit mode (saving in 8 bit mode will increase the number of readings the logger can hold). When this option is available Ticking the HiRes box will save data in 16bit High resolution mode. Not Ticking the box will save data in 8bit Low Resolution mode.

Channel 1 Incremental Smoothing

This is used to setup the smoothing when a divice such as a wind vane is connected to Channel 1, the first analog input.

Timer 1 Average Time

Timer 1 average time is in seconds. Used mainly when a wind speed unit is connected to the timer 1 counter input. If set to 0 then the pulses coming from the wind speed unit are counted until the value is logged and then they are reset to 0. If > 0 then the pulses are counted until the Timer 1 average time in seconds has elapsed then the counter is stored and reset. The stored value is what is logged.

Averaging Sub Interval

Averaging sub interval is in seconds. This is the period of time between reading of the probes when averaging, maximum and minimum are calculated. If set to 1 second then the averaging is done on a 1 second period.

In This Section

Averaging and Smoothing

See Also

Logger Control

Logger Status

Download

Channel and Probe Setup

Alarm Conditions

Pager


Averaging and Smoothing

The GP-HR, General Purpose High Resolution and the GP-MC, General Purpose Multi Channel Logger have a number of averaging and smoothing functions available. These are in addition to the normal averaging mode that is available on HR range of loggers.

Channel 1 Incremental Smoothing

Sometimes we want to smooth out the natural variation in the output of a sensor. We might, for example, have a water level sensor in a lake.Waves on the lake will cause variations in the readings from the sensor. If we can smooth out the readings we will get a better idea of the actual mean lake level. Other applications where this sort of smoothing is required include wind direction vanes and vehicle fuel tank sensors.

Channel 1 of the GP-MC has a special smoothing function built into the logger channel. This function works with the raw data from the analog to digital converter. It restricts the speed at which readings can change. This has the effect of removing the peaks and troughs without effecting the resolution or accuracy of readings.

If Channel 1 Incremental Smoothing is set to 0, there is no smoothing and the channel behaves like all other channels.

If Channel 1 Incremental Smoothing is set to 1, the readings can only change by 1 analog to digital converter count every logging period or averaging sub interval so the reading will change very very slowly causing extreme smoothing of data.

Typically the Channel 1 Incremental Smoothing will be set from around 128 to 1024. You will need to determine this value experimentally for your particular application.

Fast Pulse Channel Average Time
(Also called: Windspeed Average Time, Frequency Average Time and Pulse Average Time)

The Fast Pulse channel of the GP-HR (Channel 4) and GP-MC (Channel 10) has a special averaging function.This is used mainly when a wind speed unit is connected to the timer 1 counter input. If the Fast Pulse Channel Average Time is set to 0 the channel acts as a counter. If it is set to 1, the channel will count the number of pulses in a second and keep a running average of the count.

Averaging Sub Interval

Averaging sub interval is in seconds. This is the period of time between reading of the probes when averaging, maximum and minimum are calculated. If set to 1 second then the averaging is done on a 1 second period.

See Also

Start Logger


Download

>>> View: Logger Control [Download]

>>> Ctrl L [Download]

>>> [image] [Download]

The appearance of the Download Tab will change depending on the type of the logger connected.

Some loggers allow for a partial download. In this case you will see a First Sample and Last Sample Spinner Box. These Spinner boxes allow you to select a group of samples to be downloaded (all Samples between and including the "First Sample” and “Last Sample”). These loggers also allow you to cancel a download part way through so a “Cancel Download” Button is available.

Some loggers will only allow you to download all available data. In this case the First Sample and Last Sample Number, Date and Time will be displayed but can not be changed. These loggers do not allow a “Cancel Download” once a download has been started so the only options available are “Download Data” and “Read Configuration”

First Sample

Specifies the first sample of the range of samples to download. The date of that sample is also displayed.

Last Sample

Specifies the Last sample of the range of samples to download. The date of that sample is also displayed.

Download Data

This will download the current data as specified in the First sample and Last sample boxes from the connected logger

Cancel Download

Used to cancel the current download. Older logger may not allow a download to be canceled.

Read Configuration

Reads the current configuration from the connected logger and updates the last Sample area with the total samples stored in the logger.

Update Download

If you have already downloaded data from a connected logger and wish to update the data while the logger is still connected the Update Data button will download any new data and add it to the Connected Loggers dataset.

Continual Update Download

If you wish to continually update data from the currently connected logger, tick the Enable Continual Data Updates box. The time interval between automatic updates is set in the >>>Tools Options... [Comms] screen

Quick Select Download

The Quick Select Download is used to download a section of data from a predefined period. Buttons will become available as more data is logged. This function is not available on all loggers.

See Also

Logger Control

Logger Status

Start Logger

Channel and Probe Setup

Alarm Conditions

Pager


Channel and Probe Setup

>>> View: Logger Control [Channel and Probe Setup]

>>> Ctrl L [Channel and Probe Setup]

>>> [image] [Channel and Probe Setup]

This tab allows the user to specify what probes have been connected to a certain logger. If the logger has inputs that have dedicated probes attached then the software will not allow these to be changed. (See Channel and Probe Setup Overview)

Logger Channel Name

This area is used to specify the names used to identify the probe connected to that channel

Long Name

Specifies a long name used to identify the probe up to 16 characters are allowed

Short name

Specifies a short name used to identify the probe up to 6 characters are allowed

Clear names

Clears the long and short name fields

Reset names

Resets the name fields back to the last used names.

Probe selection

Selects which probe has been connected to this input.

Select probe

Allows the user to select a probe that is compatible with that input. Some loggers have fixed probes and this will only show the one option.

Reset probe selection

Resets the probe type to the last probe used on this channel

Units and scaling

Used to set up the units that are available for the selected probe.

Offset

Allows the offset to be entered for probes that do not have a standard units

Gain

Allows the gain to be entered for probes that do not have a standard units

Units

Allows the units to be entered. Up to 6 characters. This is automatically filled in for standard units

Select units

Used to select the units for the probe from a standard set.

Clear units

Clears the offset, gain and units to 0,1 and blank.

Default units

Sets the offset, gain and units to 0,1 and The S.I. units.

Compensation

Used to set the compensation channels if required for the probe specified.

Some probes like the humidity probe needs to use the temperature probe that is mounted with it to temperature compensated the humidity value. The channel or channels to be used for this are specified here. Setting the number to 0 disables compensation.

This area is used to calibrate the connected probe. Some probes do not need calibration, some need one point, some need two point calibration. This area will change depending on the type needed.

Calibration Notes

Calibration notes on the different probe types are available in this help file. The notes for the selected probe can be viewed using the Calibration Notes button.

Actual Value First Point

Enter into this area the actual value of the calibration cell the probe is in

Actual Value Second Point

If doing two point calibration this is the value of the cell used for the second point. The first point must always be set first.

First point button

Press this button after entering the value into the actual value first pint area and the probe has stabilized to the reference cell.

Second point button

Press this button after entering the value into the actual value second point area and the probe has stabilized to the second reference cell.

Reading calibration

Displays the reading obtained from the logger when either the first or second point buttons are clicked. Used as a fault finding tool.

Offset calibration

This is the calculated offset from the calibration. Some probes may be supplied with a calibration certificate with this value on it. If so just enter the value here.

Gain Calibration

This is the calculated gain from the calibration. Some probes may be supplied with a calibration certificate with this value on it. If so just enter the value here.

Read Calibration

Reads the current logger probe and displays the reading in the Readings window

Clear calibration

Clears the calibration to

  • Offset = 0
  • Gain = 1

Reset Calibration

Resets the calibration to the last value saved to the logger

Write unit, scale and calibration values from the logger

Writes the units, scale and calibration values to the currently connected logger

See Also

Logger Control

Logger Status

Start Logger

Download

Alarm Conditions

Pager


Alarm Conditions

>>> View: Logger Control [Alarm Conditions]

>>> Ctrl L [Alarm Conditions]

>>> [image] [Alarm Conditions]

This tab allows the user to setup the required alarm conditions and what will happen when that alarm condition is detected by the logger. Older loggers may not have any alarms available.

General Alarm Criteria

This sets up the general alarm properties

Number of seconds of Alarm before alarm fires

This sets out the number of seconds an alarm is detected before the alarm is reported by the system. This must be continues seconds of alarm.

Test Alarms

Test Alarms is used to test the pocket pager alarm function. Clicking the button will cause the logger to dail the pager through a modem as if an alarn condition had occured.

Reset Alarms

Reset Alarms is used to send an alarm reset to the logger.

Write Alarm Conditions to Logger

Write Alarm Conditions to Logger is used to send new alarm conditions that have just been set up on the Alarm screen to the logger.

Alarm setup

There are 6 areas to allow the user to setup 6 alarm conditions.

Alarm probe

This area specifies which probe to use for this alarm. All probes that have been configurated for the currently connected logger will be available.

Alarm condition greater than or less than

Is the alarm to be set with a probe input that is greater than or less than the specified value

Reference value

Reference value used to check the probe against to decide an alarm condition exists

Pager Alarm

If ticked an alarm will dial a Pager if a modem is available.

External Alarm

If ticked an alarm will Activate an external line that can be used to activate a audible warning device.

Enable with alarm

This area specified which other alarm conditions must be active before this alarm condition will trigger an actual alarm. This allows more than one alarm condition to be set and only if all the conditions are meet will the alarm go off.

For examples of setting up alarms see Alarm System Overview

See Also

Logger Control

Logger Status

Start Logger

Download

Channel and Probe Setup

Pager


Pager

>>> View: Logger Control [Pager]

>>> Ctrl L [Pager]

>>> [image] [Pager]

This tab allows the user to setup the Dialout and Pager strings to be used when the logger dials a pocket pager via a modem. This occurs when the Pager Alarm is triggered. Older loggers do not have a Pager Dialout facility. This can also be used to send an SMS text message to a cell phone.

Dial Out String

The Dial Out string is the string of characters required to set up the modem and dial the phone number to be paged.

Explanation of the Dial out String in above example
AT - AT command to Modem
S7=1 - Wait Time for Carrier set to 1 second
S8=10 - Pause Time for Dial Delay Modifier (,) set to 10sec
D - Dial
T - DTMF (Tone) Dialing
, - wait for 10sec ( this period was set by S8=10)

Pager String

The Pager string is the string of characters that represents the message to be sent to the Pager once the Dial Out String has been sent.

Explanation of Pager String in above example
1923 - the numeric message to be sent to the pager
# - the message terminator specified by the Pager Service Provider
The square box is a Carriage Return. It was inserted using the Add CR button (see below) The CR is required to terminate the command to the modem.

Add CR (Early Versions of Omnilog)

The Add CR button is used to insert a Carriage Return (Character 13 Decimal) into the Dial Out string or Pager String. The Carriage Return is inserted at the current cursor location. This button is required as pressing the Enter key will just move the cursor to the next field.

Add Ctrl Chr (Version 1.39 and greater)

The Add Ctrl Chr button is used to add various control characters to the Dialout or Message Strings. In earlier versions there was an Add CR button to add a Charage Return to the string but some applications require other control characters. There is now a pull down list of Control Characters that can be added to the strings at the Bottom Right of the Pager Screen. There include NULL, ACK, BELL, BS, LF, CR, NAK, ESC and Ctrl Z

Default

The Default button is used to restore the Dial Out string and Pager String to the default settings. The default settings are setup and can be changed from >>>Tools Options... [Pager]

Clear

The Clear button is used to clear the Dial Out string and Pager String

Test Alarms

The Test Alarms button sends the pager dialout string to test the modem setup. The new strings must be written to the logger before this test is carried out.

Write Pager Alarm Strings to Logger

The Write Pager Alarm Strings to Logger button is used to write newly modified Pager strings to the logger.

Notes on using the Pager Alarm Function with a GSM Modem to send an SMS Text Message to a Cell phone

If the logger is connected to a GSM Cell Modem, the Pager Dialout can be used to send an SMS text message to a cellphone.
The AT command to send a Text Message is AT+CMGS=number<CR>message<Ctrl Z>.
The number must be enclosed in double qoutes.
Example to send a Text Message Via a GSM Cell Modem

Dial Out String
The AT+CMGS= instructs the GSM cell modem to send an SMS message
The "+64210478847" is the phone number of the cell phone to send the message to (note the double quotes)
The square box is a Carriage Return. It was inserted using the Add Ctrl Chr button with the Control Characer pulldown set to CR
Pager String
Browns Bridge Temp>32degC Is the text message that will be sent to the cell phone
The square box is a Ctrl Z. It was inserted using the Add Ctrl Chr button with the Control Characer pulldown set to Ctrl Z
The Ctrl Z is required to terminate the text message

Notes on using the Pager Alarm Function to Dial a normal Telephone

The Pager Alarm Function can be used to dial a standard telephone or cell phone. If this is done the numbers entered in the Pager String box are heard as DTMF tones when the phone is answered. The 10sec delay caused by the comma after the phone number is dialed and before the message numbers are heard as DTMF tones is a set time independent of when the phone is answered. If it is 15 sec before the phone is answered then no DTMF tones will be heard. For this reason it is recommeneded that further 10sec delays be put into the pager String. For example consider the Dial Out String ATS7=1S8=10DT3853910, and a Pager String of 1919,1919,1919,1919,1919<CR>:
ATS7=1S8=10DT - will set up the logger
3853910 - will dial the phone number
, - will delay for 10sec
1919 - will send a DTMF tones for 1919
, - will delay for 10sec
1919 - will send a DTMF tones for 1919
, - will delay for 10sec
1919 - will send a DTMF tones for 1919
, - will delay for 10sec
1919 - will send a DTMF tones for 1919
, - will delay for 10sec
1919 - will send a DTMF tones for 1919
<CR> - is the Carraige Return that terminates the command to the modem
In this case the last DTMF tones will be sent 50sec after the call is initially made so anyone answering the phone within 50sec of it ringing will hear the tones.

See Also

Logger Control

Logger Status

Start Logger

Download

Channel and Probe Setup

Alarm Conditions


Re-Connect to Logger

>>> Tools: Disconnect...Reconnect

>>> Ctrl+D

The Disconnect...Reconnect function is used to re-connect to a new logger. If a logger is disconnected the connection will time-out after 4 seconds. If you connect a different logger within 4 seconds, Omnilog does not relise that the loggers have been changed. If this occures, Omnilog will treat the new logger as if it was the original connected logger. This may well cause Omnilog errors. If you are changing loggers quickly, use the Disconnect...Reconnect function to disconnect from the old logger and connect to the new logger.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Dataset History

>>> Tools: Dataset History...

>>> Ctrl+H

The Dataset History function is used to remove datasets from the Dataset Selector on the Toolbar. Datasets are added to this list as they are opened or saved. Over a period of time this list will become large and unmanageable. This screen allows the user to remove all datasets or a selected dataset from the Dataset History.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Modem Control

>>> Tools: Modem Control...

>>> Ctrl+M

The Modem Control function is used to establish contact with a logger via modems and the telephone network.

Selecting Modem Control displays the Modem Control Dialog Box

To connect to a logger via modem:

  • Select the Comm Port for your computer Modem

OR

  • Click on the Auto Seek Modem Button and OmniLog will check all your Comm Ports for a modem
  • Enter the phone number of the modem connected to the remote logger
  • Click on the Connect button to establish contact with the remote logger
  • Progress of the connection process will be displayed on the status bar of the Modem Control Dialog Box.
  • Once a connection has been established, all Omnilog features including Realtime display will be available for the remote logger.
  • When the modem connection is no longer required you can disconnect from the remote logger by Clicking on the Disconnect button

Modem Link Overview

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Setup Remote Modem

>>> Tools: Setup Remote Modem

This function is used to configure the modem that is going to be connected to a logger. Once the modem has been configured it can be used by the logger to communicate over the telephone network.

Modem Link Overview

The modem must be setup so that on power up it is in the following state:

  • Logger to Modem (DTE) baud rate locked to 19200
  • Modem in Auto Answer Mode - Auto Answer after 1 ring
  • Modem ignores DTR
  • Modem Flow Control Disabled
  • Inhibit result codes to DTE
  • Turn off command Echo

The commands to place the modem into this state may differ slightly from modem to modem. Consult your Modem's User Manual. Generalized commands that should work with most modems are as follows:

  • AT&F (Restore modem to factory default)
  • AT+H1 (Set DTE speed to 19200 baud)
  • ATS0 = 1 (AutoAnswer after 1 ring)
  • AT&D0 (Modem ignores DTR)
  • AT&K0 (Modem Flow Control Disabled)
  • ATQ1 (Inhibit result codes to DTE)
  • ATE0 (Turn off command Echo)
  • AT&Y0 (recall stored profile 0 on power up)
  • AT&W0 (Store current settings to profile 0)

The Setup Remote Modem dialog box contains text boxes with these general commands. If the commands are different for your modem, enter the correct commands in the appropriate text box.

Setting up a remote modem

Connect the modem to a spare serial port on your computer with the cable supplied with your modem.

Select the port used (Comm1 to Comm4) from the Modem Comm Port box

If you do not know the port number of the serial port you have used, click on the Auto Seek Modem button. This will test all your comm ports for modems.

If you have an internal modem in addition to the external modem you are setting up for logger control, both modems will be found during the auto seek procedure and you will still have to manually select the external modem from the two modems that will be found.

Check that the generalised commands provided will work with your particular modem and make any changes that may be necessary.

Click the Send button

As the commands are sent to the modem, progress will be reported on the dialog box status bar.

The commands, sent to the modem, switch off command echo and result codes so the program cannot determine if all commands have been actioned by the modem. It is therefore necessary to test the modem locally before setting up a logger/modem out in the field.

To test the remote modem's setup

(You will require access to two telephone lines)

  • Power down the modem
  • Connect the modem to a telephone line
  • Power up the modem
  • Start the Omnilog software on a computer with a modem that is connected to a second telephone line.
  • Use the Modem Control function of the Omnilog software to dial the remote modem.
  • The remote modem should auto answer and the Omnilog software should be able to establish contact with the remote modem. (The message "Contact Established" will be displayed in the status bar of the Modem Control screen)
  • A logger can also be connected to the modem using a logger to modem cable to check the logger and cable if required. If the Omnilog software can see the logger across the modem link it will display the loggers type and serial number on the main status bar.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Reset to Factory Defaults

>>> Tools: Reset to Factory Default

>>> Ctrl+F

The Reset to Factory Default function is used to reset all configuration and calibration settings within the logger.

WARNING - This will cause the loss of any calibration values and all data that may be stored in the logger.

Some Logger Types have more than one Factory default.

For example the pH-HR pH logger has two factory defaults - one for a probe that has a PT100 temperature sensor in the pH probe and one for a probe that has no temperature sensor and therefore has no temperature compensation of pH.

The GP-HR General Purpose Logger has a factory default for each of the available standard probesets.

If a logger has more the one factory default, a list of the available factory defaults will be displayed in the Reset Logger to Factory Default dialog box.

Select the default required from the list provided

For example if you wish to set up a GP-HR General Purpose Logger as a 2 channel 4 to 20 mA logger, select GP-HR mA2.

Then click on the Reset (Logger Name) to Factory Default button.

The following list shows loggers that have more than one factory default and a discription of the factory default codes used in the OmniLog Software.

SafeT

  • SafeT Int Temp Only
    • Only the Internal Temperature Sensor is used. The External channel is set to "None"
  • SafeT with Ext Temp
    • Channel 1 is Internal Temperature Sensor
    • Channel 2 is External Temperature Probe (Thermister)

GP-HR General Purpose High Resolution Datalogger

  • GP-HR General
    • Used for testing all inputs
    • Channel 1 to 3 are set to analog to digital converter numbers
    • Channel 4 is set to counter
  • GP-HR R-PS 0.1mm
    • Rain Probe Set
    • Channel 1 set to Internal Temperature
    • Channel 2 to 3 are set to "None"
    • Channel 4 is set for 0.1mm Tipping Bucket Rain Gauge
  • GP-HR R-PS 0.2mm
    • Rain Probe Set
    • Channel 1 set to Internal Temperature
    • Channel 2 to 3 are set to "None"
    • Channel 4 is set for 0.2mm Tipping Bucket Rain Gauge
  • GP-HR R-PS 1mm
    • Rain Probe Set
    • Channel 1 set to Internal Temperature
    • Channel 2 to 3 are set to "None"
    • Channel 4 is set for 1mm Tipping Bucket Rain Gauge
  • GP-HR RT-PS 0.1mm
    • Rain Probe Set
    • Channel 1 set to External Temperature Probe (Thermister)
    • Channel 2 set to Internal Temperature
    • Channel 3 set to "None"
    • Channel 4 is set for 0.1mm Tipping Bucket Rain Gauge
  • GP-HR RT-PS 0.2mm
    • Rain Probe Set
    • Channel 1 set to External Temperature Probe (Thermister)
    • Channel 2 set to Internal Temperature
    • Channel 3 set to "None"
    • Channel 4 is set for 0.2mm Tipping Bucket Rain Gauge
  • GP-HR RT-PS 1mm
    • Rain Probe Set
    • Channel 1 set to External Temperature Probe (Thermister)
    • Channel 2 set to Internal Temperature
    • Channel 3 set to "None"
    • Channel 4 is set for 1mm Tipping Bucket Rain Gauge
  • GP-HR T1-PS
    • Single Temperature Probe Set
    • Channel 1 set to External Temperature Probe (Thermister)
    • Channel 2 and 3 set to "None"
    • Channel 4 set to Internal Temperature
  • GP-HR T2-PS
    • Dual Temperature Probe Set
    • Channel 1 and 2 set to External Temperature Probe (Thermister)
    • Channel 3 set to "None"
    • Channel 4 set to Internal Temperature
  • GP-HR T3-PS
    • Three Temperature Probe Set
    • Channel 1 to 3 set to External Temperature Probe (Thermister)
    • Channel 4 set to Internal Temperature
  • GP-HR mA1
    • Single input milliAmp adapter
    • Channel 1 set to milliAmp
    • Channel 2 and 3 set to "None"
    • Channel 4 set to Internal Temperature
  • GP-HR mA2
    • Dual input milliAmp adapter
    • Channel 1 and 2 set to milliAmp
    • Channel 3 set to "None"
    • Channel 4 set to Internal Temperature
  • GP-HR mA3
    • Three input milliAmp adapter
    • Channel 1 set to milliAmp
    • Channel 2 and 3 set to "None"
    • Channel 4 set to Internal Temperature
  • GP-HR mA2 ITemp
    • Dual input milliAmp adapter
    • Channel 1 and 2 set to milliAmp
    • Channel 3 set to Internal Temperature
    • Channel 4 set to set to "None"
  • GP-HR Pt1000 mA 5V
    • Channel 1 set to Pt1000 Temperature Probe
    • Channel 2 set to milliAmp input
    • Channel 3 set to 5Volt input
    • Channel 4 set to Internal Temperature

ph-HR

  • ph-HR without Temp
    • pH with no temperature sensor in the pH probe
    • Channel 1 set to Internal Temperature
    • Channel 2 set to pH
    • Channel 3 and 4 set to "None"
  • pH-HR Temp Comp
    • pH with a Pt100 sensor in the pH probe - this sensor is used for temperature compensation of the pH values.
    • Channel 1 set to Pt100 sensor in the pH probe
    • Channel 2 set to pH
    • Channel 3 set to Internal Temperature
    • Channel 4 set to "None"

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Omnilog Task Wizard

Options

Flow Setup Wizard

Flow Report Wizard


Omnilog Task Wizard

>>> Tools: Omnilog Task Wizard

The OmniLog Task Wizard is a task scheduling application that runs within the OmniLog Data Management Program. It is activated from the Tools menu. There is no Tool Bar Icon for the task Wizard.

Task Wizard Overview

The Task Wizard screen is divided into four areas:

  1. Task - all the information required for one particular task
  2. Task Control - creates new tasks, deletes tasks and move through the task list using navigation arrows
  3. Task Log - to View and Clear a log of past tasks
  4. Task Wizard Control - to enable or disable the Task Wizard

Task Control

  • Previous and Next Buttons are used to navigate through the Task List
  • The New Button is used to create a New task
  • The Delete Button is used to delete the current task. The current task is the task shown in the Task Area

Task

  • ID - an automatically generated numeric ID which identifies the task.
  • Active / Frozen - tasks can be disabled temporally without deleting the task. If this control is set to Active the task will be carried out, if it is set to frozen the task will not be activated.
  • Task - The actual task that will be performed.
  • Task Name - A name given to the task by the user. This name identifies the task on the status bar during execution and in the Task Log.
  • Schedule - Tasks can be scheduled to occur once at a particular time or to occur periodically between two DateTimes. The time between task activation can be entered in Minutes, Hours or Days
  • Logger Connection - The task wizard can connect to loggers directly (on Comm Ports), connected to remote modems or on radio links. If Direct is selected the correct Comm Port must be selected. If Modem is selected the correct Comm Port for the computers modem and the Phone number for the Remote Modem must be entered.
  • Internet -
    • If the task involves sending an email, the email address must be entered.
    • If the task involves creating a web page and uploading it to a web server the ftp address, username and password must be entered as well as the name of the file to be created on the web server. This file name should include the extension .htm or .html
  • Dataset - This area is reserved for future development

Task Log

As each task is carried out, the wizard keeps a log detailing the time of execution and the success or failure of the task.

  • The View Log button is use to see this log
  • The Clear Log button is used to erase all log entries

Task Wizard Control

  • The Stop button closes the Task Wizard screen with the Task Wizard disabled so no tasks will be executed.
  • The Run button closes the Task Wizard screen with the Task Wizard enabled so that any active tasks in the task list will be executed.

Using the OmniLog Task Wizard

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Options

Flow Setup Wizard

Flow Report Wizard


Options

>>> Tools: Options...

>>> Ctrl+O

The Options function allows the used to set all options that control the operation of the Omnilog Software. These options are divided into the following sections:

Units

Selects the units (eg °C or °F) for all values. These settings are used as the default units for the new loggers. If the default setting is not required, another unit can be chosen for a particular logger in the Logger Control... Channel and Probe setup tab. When data is downloaded from the older loggers this setting will be used to determine the units for data display. At any time, the units of a Dataset can be changed using the Edit.... Change Dataset Units function

Format

Selects the format for Date display, Time display and the default dataset filename format.

Limits

Select which values have limits and what the upper and lower limits are for a particular value. These limits are used in the Statistics View of a dataset

Graph

Select the color for each graph trace, the redraw speed for the graph view (High resolution or High Speed) and the thickness of the graph line for graph printouts.

Comms

Sets the Comm Port that a logger is connected to and the refresh rate for real time reads and automatic updates. If you do not know to which Comm Port a logger is connected, use the Auto Seek Comm Port button to look at all available Comm Ports on the computer and find the connected logger.

Pager

Set the dial out alarm string that will be used to call a pocket pager if and alarm condition is triggered

Reports

Sets up three heading lines for report headings that can be used as:

  • Company or Organization Name
  • Department or Division Name
  • Project or Process Name

Program

Controls the behaviour of some automatic features in the Omnilog software

In This Section

Units

Formats

Limits

Graph

Comms

Reports

Pager

Program

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Flow Setup Wizard

Flow Report Wizard


Units

>>>Tools Options...[Units]

This tab allows the used to setup the units used to display the data.

Data from a specific probe may be able to be displayed in different units. eg: temperature can be displayed in Celsius, Fahrenheit or Kelvin. To change the units, first select the type of probe you are using then select the required units from the list displayed.

See Also

Options

Formats

Limits

Graph

Comms

Reports

Pager

Program


Formats

>>> Tools: Options... [Formats]

This tab allows the user to set the following options:

  • Time - set to 12 or 24 hour format
  • Date - set to day/month/year or month/day/year
  • Default File Name - This sets the default filename for automatic and manual down loads. For manual down loads the user can change the filename at time of download.

See Also

Options

Units

Limits

Graph

Comms

Reports

Pager

Program


Limits

>>> Tools: Options... [Limits]

This tab allows the user to change the Upper and Lower Limit for each type of probe. The user can also enable or disable the limit checking.

These limits are used when the data is converted during download from the . If the resulting converted data is outside the limits the data is set to the limit. If the limit is disabled no checking is preformed.

See Also

Options

Units

Formats

Graph

Comms

Reports

Pager

Program


Graph

>>> Tools: Options... [Graph]

The Graph tab allows the user to change the following Graph options:

  • Colors used to display the traces on the graph for each channel.
  • Quick or High Precision Graph Draw
  • White or Black Background on Graph display
  • Print Thin, Medium, or Thick Graph Lines

See Also

Options

Units

Formats

Limits

Comms

Reports

Pager

Program


Comms

>>> Tools: Options... [Comms]

The Comms tab of the Options screen is accessed from the Tools menu. It is used to select or auto detect the serial communications port of a connected logger to set the time interval for the Real Time Display Refresh Rate. Baud rates and other communication settings are selected automatically by the application. The Auto Select Comm Port will test all comm ports available on the computer and look for a logger connected to the port. If a logger is found, the port it is connected to will be selected automatically.

See Also

Options

Units

Formats

Limits

Graph

Reports

Pager

Program


Reports

>>> Tools: Options... [Reports]

Used to set up the headings that will be displayed when reports are displayed or printed.

See Also

Options

Units

Formats

Limits

Graph

Comms

Pager

Program

Previous Topic

Pager

>>> Tools: Options... [Pager]

The Pager Tab is used to set up default values for the programming of Pocket Pager Alarms. This Tab is used to enter the default values that will appear in the Pager Alarm Modem String area of the Pager Tab of the Logger Control Screen. These values can be changed for a particular logger before it is programmed.

See Also

Options

Units

Formats

Limits

Graph

Comms

Reports

Program


Program

>>> Tools: Options... [Program]

The Program tab gives access to controls that set up the operation of the Omnilog software.

The Show Omnilog Assistant at Startup option is used to enable and disable the Omnilog Assistant. The Omnilog Assistant is a dialog box which can be used to automate initial connection and access help on commonly used procedures. When the software is first installed the Omnilog Assistant will automatically pop up every time the application is started. Even if the Omnilog Assistant has been disabled here it can still be accessed through the Help menu if required.

If the Show Logger Control Screen when a new logger connects option is selected the Logger Control Screen will automatically appear when a new logger connects. If this option is de-selected (no tick) the Logger Control Screen will not appear automatically and if required will need to be activated from the main Tool Bar.

If the Show Realtime Screen when a new logger connects option is selected the Realtime Screen will automatically appear when a new logger connects. If this option is de-selected (no tick) the Realtime Screen will not appear automatically and if required will need to be activated from the main Tool Bar.

You cannot select both Show Logger Control Screen when a new logger connects and Show Realtime Screen when a new logger connects at the same time. Selecting one will de-select the other.

Enable the Omni Task Wizard. At present the Omni Task Wizard is in beta testing and this option will only work at the Beta Test Sites. If selected, the Enable the Omni Task Wizard option will activate the Omni Task Wizard when the program is started. This allows the Task Wizard tasks to be activated automatically when Omnilog starts. This option is used when the computer is running unattended. The Computer is setup to run Omnilog automatically on power up. If computer power fails and is restored the computer will start, run the Omnilog software and the Omni Task Wizard will be automatically activated. If the computer is attended, the Task Wizard can be activated from the Task Wizard window and the Enable the Omni Task Wizard should not be used.

If Append previous download to the Connected Logger Dataset when a logger connects is ticked:

  • When a logger connects, Omnilog will search the history file to look for the last download for this logger. If it finds a previous download and the Trip number is the same it will load that data in to the Connected Logger Dataset. This means the previously downloaded data is immediately available.
  • When the New function is used (Menu or Toolbar) the Current Dataset is UPDATED (not downloaded from scratch). This greatly reduces the amount of data transferred when using modem and radio connections.
  • If a logger is running in Loop Mode and the data is downloaded periodically (at a time shorter than the loop around time) a large dataset can be created. This dataset will contain data from the whole period the logger has been logging.

If Append previous download to the Connected Logger Dataset when a logger connects is NOT ticked:

  • When a logger connects, Omnilog will create and empty Connected Logger Dataset.
  • When the New function is used (Menu or Toolbar) all data from the logger is downloaded and replaces the data that is in the Connected Logger Dataset.
  • If a logger is running in Loop Mode and the data is downloaded periodically (at a time shorter than the loop around time) The most current data will replace the older data in the dataset and the older data will be lost.

See Also

Options

Units

Formats

Limits

Graph

Comms

Reports

Pager


Flow Setup Wizard

The Flow Setup Wizard is used to configure loggers to monitor flow and volume.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Report Wizard


Flow Report Wizard

The Flow Report Wizard is use to generate totalised flow reports from data recordered by loggers that were setup with the Flow Setup Wizard.

See Also

Reference

The Main Screen

New

Open

Save

Export

Join

Print

Change Dataset Units

Add Derived Channels

Values View

Statistics View

Graph View

Values and Statistics

Graph and Values

Graph and Statistics

Trends

Real Time Screen

Reports

Logger Control

Re-Connect to Logger

Dataset History

Modem Control

Setup Remote Modem

Reset to Factory Defaults

Omnilog Task Wizard

Options

Flow Setup Wizard


Calibration Procedures

General calibration procedures for most probes (sensors) are listed in this section. Calibration procedures for probes that require specialized calibration techniques are supplied with the probes.

In This Section

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Temperature Calibration

  • Take the Temperature Probe to a known temperature
  • Wait for the temperature probe to stabilize to the known temperature
  • Enter the Actual value of temperature in the box labeled Single Point
  • Click the Single Point Button
  • Click the Write Unit, Scaling and Calibration Values to logger button

Example

Calibrating a Thermister temperature probe at 25 deg C

  • Take the probe to 25 degrees and wait for the temperature to stabilize
  • Enter 25 in the Actual Value box
  • Click the Single Point Button
  • The required calibration offset is calculated and displayed in the Offset box

  • Click the Write Unit, Scaling and Calibration Values to logger button

This method is used for calibrating THERMISTER temperature probes. The calibration procedures for Thermocouple and Pt100 probes is different and is covered latter in this user guide.

See Also

Calibration Procedures

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Humidity Calibration

  • Place the Humidity Probe in a known humidity
  • Wait for the humidity probe to stabilize to the known humidity
  • Enter the known humidity value into the First Point Actual Value box
  • Click on the First Point button
  • Place the Humidity Probe in a second known humidity
  • Wait for the humidity probe to stabilize to the known humidity
  • Enter the second known humidity value into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration values to the Logger button

It is recommended that the two humidity standards used for calibration be at least 40 % apart. Probes calibrated in the factory are calibrated at 33% and 75%

Example

  • Place the Humidity Probe at a known humidity of 33%RH
  • Wait for the humidity probe to stabilize to the known humidity
  • Enter 33 into the First Point Actual Value box
  • Click on the First Point button
  • Place the Humidity Probe at a known humidity of 75%
  • Wait for the humidity probe to stabilize to the known humidity
  • Enter 75 into the Second Point Actual Value box
  • Click on the Second Point button

Click on the Write Unit, Scaling and Calibration values to the Logger button

See Also

Calibration Procedures

Temperature Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


J Thermocouple Calibration

J Thermocouple Calibration Procedure using a calibration voltage source

  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration source to 0.0 mV
  • Enter 0 in to the box labeled First Point Actual Value
  • Note: If you are using °F enter 32 instead of 0
  • Click the First Point Button
  • Set the calibration source to 57.94 mV
  • Enter 1000 in to the box labeled Second Point Actual Value
  • Note: If you are using °F enter 1832 instead of 1000
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration source to 0.0 mV
  • The J Thermocouple gauge on the Realtime screen should show the ambient temperature (Ambient Temperature plus 0°C)
  • Set the calibration source to 57.94 mV
  • The J Thermocouple gauge on the Realtime screen should show Ambient Temperature plus 1000°C

This calibration procedure is based on the following data.

  1. a J thermocouple junction gives 0.0mV when the thermocouple and the logger are at the same temperature.
  2. It will give 57.94mV when there is a 1000degC difference between the logger and the thermocouple.

J Thermocouple Calibration Procedure °C using two known temperatures

  • Connect the J thermocouple sensor to the logger
  • Allow the J thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the J thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the J Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the J thermocouple will read high by the amount of the ambient temperature.

J Thermocouple Calibration Procedure °F using two known temperatures

  • Connect the J thermocouple sensor to the logger
  • Allow the J thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the J thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the J Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the J thermocouple will read high by the amount of the ambient temperature.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


K Thermocouple Calibration

K Thermocouple Calibration Procedure using a calibration voltage source

  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration source to 0.0 mV
  • Enter 0 in to the box labeled First Point Actual Value
  • Note: If you are using °F enter 32 instead of 0
  • Click the First Point Button
  • Set the calibration source to 41.27 mV
  • Enter 1000 in to the box labeled Second Point Actual Value
  • Note: If you are using °F enter 1832 instead of 1000
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration source to 0.0 mV
  • The K Thermocouple gauge on the Realtime screen should show the ambient temperature (Ambient Temperature plus 0°C)
  • Set the calibration source to 41.27 mV
  • The K Thermocouple gauge on the Realtime screen should show Ambient Temperature plus 1000°C

This calibration procedure is based on the following data.

  1. a K thermocouple junction gives 0.0mV when the thermocouple and the logger are at the same temperature.
  2. It will give 41.27mV when there is a 1000degC difference between the logger and the thermocouple.

K Thermocouple Calibration Procedure for °C using two known temperatures

  • Connect the K thermocouple sensor to the logger
  • Allow the K thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the K thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the K Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the K thermocouple will read high by the amount of the ambient temperature.

K Thermocouple Calibration Procedure for °F using two known temperatures

  • Connect the K thermocouple sensor to the logger
  • Allow the K thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the K thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the K Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the K thermocouple will read high by the amount of the ambient temperature.

K Thermocouple Temperature 'v' Voltage Data

100degC = -3.553mV

-50degC = -1.889mV

0degC = 0mV

50degC = 2.002mV

100degC = 4.095mV

150degC = 6.135mV

200degC = 8.137mV

250degC = 10.151mV

300degC = 12.207mV

350degC = 14.292mV

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


N Thermocouple Calibration

N Thermocouple Calibration Procedure using a calibration voltage source

  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration source to 0.0 mV
  • Enter 0 in to the box labeled First Point Actual Value
  • Note: If you are using °F enter 32 instead of 0
  • Click the First Point Button
  • Set the calibration source to 36.26 mV
  • Enter 1000 in to the box labeled Second Point Actual Value
  • Note: If you are using °F enter 1832 instead of 1000
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration source to 0.0 mV
  • The N Thermocouple gauge on the Realtime screen should show ambient temperature (Ambient + 0°C)
  • Set the calibration source to 36.26 mV
  • The N Thermocouple gauge on the Realtime screen should show Ambient Temperature + 1000°C

This calibration procedure is based on the following data.

  1. a N thermocouple junction gives 0.0mV when the thermocouple and the logger are at the same temperature.
  2. It will give 36.26mV when there is a 1000degC difference between the logger and the thermocouple.

N Thermocouple Calibration Procedure °C using two known temperatures

  • Connect the N thermocouple sensor to the logger
  • Allow the N thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the N thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the N Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the N thermocouple will read high by the amount of the ambient temperature.

N Thermocouple Calibration Procedure °F using two known temperatures

  • Connect the N thermocouple sensor to the logger
  • Allow the N thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the N thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the N Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the N thermocouple will read high by the amount of the ambient temperature.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


R Thermocouple Calibration

R Thermocouple Calibration Procedure using a calibration voltage source

  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration source to 0.0 mV
  • Enter 0 in to the box labeled First Point Actual Value
  • Note: If you are using °F enter 32 instead of 0
  • Click the First Point Button
  • Set the calibration source to 10.50 mV
  • Enter 1000 in to the box labeled Second Point Actual Value
  • Note: If you are using °F enter 1832 instead of 1000
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration source to 0.0 mV
  • The R Thermocouple gauge on the Realtime screen should show the ambient temperature (Ambient + 0°C)
  • Set the calibration source to 10.50 mV
  • The R Thermocouple gauge on the Realtime screen should show Ambient +1000°C

This calibration procedure is based on the following Data.

  1. a R thermocouple junction gives 0.0mV when the thermocouple and the logger are at the same temperature.
  2. It will give 10.50mV when there is a 1000degC difference between the logger and the thermocouple.

R Thermocouple Calibration Procedure °C using two known temperatures

  • Connect the R thermocouple sensor to the logger
  • Allow the R thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the R thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the R Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the R thermocouple will read high by the amount of the ambient temperature.

R Thermocouple Calibration Procedure °F using two known temperatures

  • Connect the R thermocouple sensor to the logger
  • Allow the R thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the R thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the R Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the R thermocouple will read high by the amount of the ambient temperature.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


T Thermocouple Calibration

T Thermocouple Calibration Procedure using a calibration voltage source

  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration source to 0.0 mV
  • Enter 0 in to the box labeled First Point Actual Value
  • Note: If you are using °F enter 32 instead of 0
  • Click the First Point Button
  • Set the calibration source to 20.87 mV
  • Enter 400 in to the box labeled Second Point Actual Value
  • Note: If you are using °F enter 752 instead of 400
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration source to 0.0 mV
  • The T Thermocouple gauge on the Realtime screen should show the ambient temperature (Ambient Temperature + 0°C)
  • Set the calibration source to 20.87 mV
  • The T Thermocouple gauge on the Realtime screen should show ambient temperature + 400°C

This calibration procedure is based on the following Data.

  1. a T thermocouple junction gives 0.0mV when the thermocouple and the logger are at the same temperature.
  2. It will give 20.87mV when there is a 400degC difference between the logger and the thermocouple.

T Thermocouple Calibration Procedure °C using two known temperatures

  • Connect the T thermocouple sensor to the logger
  • Allow the T thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the T thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the T Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the T thermocouple will read high by the amount of the ambient temperature.

T Thermocouple Calibration Procedure °F using two known temperatures

  • Connect the T thermocouple sensor to the logger
  • Allow the T thermocouple sensor to stabilize at the first known (lower) temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the first known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled First Point Actual Value
  • Click the First Point Button
  • Allow the T thermocouple sensor to stabilize at the second known temperature
  • Read the Ambient Temperature of the Logger using the Realtime Screen
  • Enter the second known temperature MINUS THE AMBIENT TEMPERATURE PLUS 32 °F in to the box labeled Second Point Actual Value
  • Click the Second Point Button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

If this procedure is used the T Thermocouple will show the correct temperature when sitting in free air.

If the ambient temperature is not subtracted from the known temperatures the T thermocouple will read high by the amount of the ambient temperature.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe

Thermocouple (Digital) Calibration

These Thermocouple inputs are calibrated directly in mV

  • Short out the input
  • Click on the First Point button
  • Connect the input to a calibrated voltage source of approximately 40mV
  • Enter the exact milliVolts value in the Second Point Text Box
  • Click on the Second Point button
  • Click the Write Unit, Scaling and Calibration Values to logger button


Pressure Calibration

  • Place the Pressure Probe into a known low pressure (600 to 800 HPa)
  • Enter the known pressure value into the First Point Actual Value box
  • Click on the First Point button
  • Place the Pressure Probe in a known higher pressure (Atmospheric Air Pressure if known)
  • Enter the second known pressure value into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button
  • The Calibration process is now complete

Example

  • Place the Pressure Probe into a known low pressure (870 HPa)
  • Enter the 870 into the First Point Actual Value box
  • Click on the First Point button
  • Place the Pressure Probe in a known higher pressure (Atmospheric Air Pressure - in this case 1008hPa)
  • Enter 1008 into the Second Point Actual Value box
  • Click on the Second Point button

  • Click on the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

To check the calibration

  • Go to the Realtime screen
  • Place the Pressure Probe into a known low pressure (870 hPa)
  • The Pressure gauge on the Realtime screen should show 870 hPa
  • Place the Pressure Probe in a known higher pressure (Atmospheric Air Pressure - in this case 1008hPa)
  • The Pressure gauge on the Realtime screen should show 1008 hPa

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Water Level Calibration

  • If you are not familiar with the concept of compensating for temperature coefficients, see the section at the bottom of this page.
  • Lower the Water Level logger into the water to the first index mark (at the bottom of the water level probe)
  • Enter 0 into the First Point Actual Value box
  • Click on the First Point button
  • Lower the Water Level logger into the water to the second index mark (at the top of the water level probe under the breather hole)
  • Enter the height of the probe into the Second Point Actual Value box ( this could be 500mm 1000mm 1500mm or 2000mm)
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration values to the Logger button
  • Calibration is now complete

Example

Calibration of a 1 meter Water Height Logger

  • Lower the Water Level logger into the water to the first index mark (at the bottom of the water level probe)
  • Enter 0 into the First Point Actual Value box (0mm)
  • Click on the First Point button
  • Lower the Water Level logger into the water to the second index mark (at the top of the water level probe under the breather hole)
  • Enter 1000 into the Second Point Actual Value box ( 1 meter = 1000mm)
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration values to the Logger button

Compensating for Temperature Coefficients.

The WT-HR water height probe has a small negative temperature coefficient with respect to water temperature. If the probe is sitting in 1 meter of water and experiences a water temperature increase of 1°C, the logger will report a water height decrease of 0.6mm. If you log water temperature, the Omnilog software can compensate the logged water height value to correct the small negative temperature coefficient of the probe.

In addition to this, the logger has a small positive temperature coefficient with respect to air temperature. If a probe is sitting at 0mm of water and experiences an air temperature increase of 1°C, the logger will report a water height increase of 0.5mm. If you log air temperature, the Omnilog software can compensate the logged water height value to correct the small positive temperature coefficient of the logger.

Logging both water and air temperature, as well as water height, decreases the number of samples you can store in the logger. If the air and water temperature are going to be reasonably constant, (eg. down a well) you can log water height only. You can also log water height only if your required accuracy is greater than 10mm.

If you attempt to start the logger without selecting both water and logger temperatures, a warning message will appear. This message informs you that the readings will not be compensated but allows you to start the logger without compensation if you choose to.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Voltage Calibration

  • First, determine the voltage range of the logger you are calibrating. This information will be on the logger's label. The range could be any of the following.
    • 0 to 3 Volts
    • 0 to 2.5 Volts
    • 0 to 2.048 Volts
    • 0 to 100 milliVolts
    • 0 to 50 milliVolts
  • Connect the calibration voltage source to the logger observing the correct polarity
  • Set the calibration voltage source to a low value (eg 0 Volts)
  • Enter the known low voltage value into the First Point Actual Value box (eg 0 Volts)
  • Click on the First Point button
  • Set the calibration voltage source to a high value near or equal to the upper limit of the range for the logger being calibrated (eg 2.5 Volts)
  • Enter the known upper voltage value into the Second Point Actual Value box (eg 2.5 Volts)
  • Click on the Second Point button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click on the Write Unit, Scaling and Calibration values to the Logger button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration voltage source to 0.0 Volts
  • The Voltage gauge on the Realtime screen should show 0 Volts
  • Set the calibration voltage source to the upper limit of the range for the logger being calibrated (eg 2.5 Volts)
  • The Voltage gauge on the Realtime screen should show 2.5 Volts

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


mA Calibration

  • Connect the calibration current source to the logger observing the correct polarity
  • Set the calibration current source to a low value (eg 0mA or 4mAs)
  • Enter the known low current value into the First Point Actual Value box (eg 0mA or 4mA)
  • Click on the First Point button
  • Set the calibration current source to a high value near or equal to 20mA
  • Enter the known upper current value into the Second Point Actual Value box (eg 20mA)
  • Click on the Second Point button
  • The Calibration Offset and Calibration Gain figures will now be calculated and shown on the calibration screen.
  • These Offset and Gain figures should now be written to the logger
  • Click on the Write Unit, Scaling and Calibration values to the button
  • The Calibration process is now complete

To check the Calibration

  • Go to the Realtime screen
  • Set the calibration current source to 4mA
  • The Current gauge on the Realtime screen should show 4mA
  • Set the calibration current source to 20mA
  • The Current gauge on the Realtime screen should show 20mA

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Tipping Bucket Rain Gauge Calibration

  • Enter zero in the Calibration Offset box
  • Enter the Volume per Tip value as supplied by the manufacture of the rain gauge, into the Calibration Gain box. ~ for example:
Volume per Tip | Gain
0.1mm | 0.1
0.2mm | 0.2
0.5mm | 0.5
1mm | 1
2mm | 2
  • These Offset and Gain figures should now be written to the logger
  • Click on the Write Unit, Scaling and Calibration values to the Logger button

To check the calibration

  • Stop the logger, if it is running
  • Select the Realtime screen
  • Manually tip the bucket on the rain gauge 10 times
  • Check that each tip shows as an increase in rain fall on the realtime screen

By default the Realtime screen updates every 2 seconds but this can be changed from the Options screen. You will have to wait for a Realtime screen update before the new rainfall values show on the rainfall gauge.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Light / Solar Energy Calibration

Light Calibration

  • Place the Light Probe in Darkness
  • Enter 0 into the First Point Actual Value box
  • Click on the First Point button
  • Place the Light Probe in bright sunlight next to a reference calibrated Light meter.
  • Enter the light intensity value from the reference calibrated Light meter into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

Solar Energy Calibration

  • Place the Solar Energy Probe in Darkness
  • Enter 0 into the First Point Actual Value box
  • Click on the First Point button
  • Place the Solar Energy Probe in bright sunlight next to a reference calibrated Solar Energy meter.
  • Enter the Solar Energy value from the reference calibrated Solar Energy meter into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


pH Calibration

  • Calibration should be carried out with the standard pH solutions as close to 25°C as is possible (This is particularly important for a non temperature compensated pH probe and less important for a compensated one)
  • Place the pH Probe in a known standard pH solution
  • Wait for the pH probe to stabilize to the known pH
  • Enter the known pH value into the First Point Actual Value box
  • Click on the First Point button
  • Place the pH Probe in a second known standard pH solution
  • Wait for the pH probe to stabilize to the known pH
  • Enter the second known pH value into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration values to the Logger button

It is recommended that the two standard pH solutions for calibration be at least 5pH units apart. Probes calibrated in the factory are calibrated at 4pH and 9.22pH

Example

  • Place the pH Probe in a standard 4pH solution at 25°C
  • Wait for the pH probe to stabilize to 4pH
  • Enter 4 into the First Point Actual Value box
  • Click on the First Point button
  • Place the pH Probe in a standard 9.22pH solution at 25°C
  • Wait for the pH probe to stabilize to 9.22pH
  • Enter 9.22 into the Second Point Actual Value box
  • Click on the Second Point button

  • Click on the Write Unit, Scaling and Calibration values to the Logger button
  • Calibration is now complete

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Soil Water Tension Calibration

The soil moisture tension probe has an internal pressure sensor. This should be calibrated with the logger channel set to pressure mode. This process is described below. Once the pressure sensor is calibrated, the logger channel can be set to Soil Moisture Tension. As the amount of water that can be stored in the soil matrix varies with soil type, the channel can be set for five different soil types, Loamy Sand, Fine Sandy Loam, Sandy Loam, Loam and Clay.

The calibration process is as follows:

  • Attach the Soil Tension probe to the logger
  • Remove the Ceramic Cup
  • Set the logger channel to Pressure
  • Place the Pressure Probe into a known low pressure (600 to 800 HPa)
  • Enter the known pressure value into the First Point Actual Value box
  • Click on the First Point button
  • Place the Pressure Probe in a known higher pressure (Atmospheric Air Pressure if known)
  • Enter the second known pressure value into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button
  • The Pressure Calibration process is now complete
  • Now select Soil Moisture for the required soil type

  • Click on the Write Unit, Scaling and Calibration Values to logger button
  • The Soil Moisture Calibration process is now complete
  • Don't forget to replace the Ceramic Cup.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Rotary Distance Calibration

  • Enter the required Units in the box marked Units
    This will normally be mm for millimeters or in for inches
  • Set the arm so that it is in the start position or 0 distance
  • Click on the First Point Button
  • Set the arm so that it is at 90° to the start point
  • Enter the Linear Distance that the arm has swung through into the Box marked Second Point. This will be the same as the length of the arm.
  • Click on the Second Point Button
  • Notice that new calibration offset and gain figures have been calculated and the distance you entered is now in the Scale Gain Box.
  • Click on the Write Unit, Scaling and Calibration values to the Logger button to send the new settings to the logger.

Example

Calibration for a 1000mm Water Height system with arm and float

  • Enter mm the required Units in the box marked Units
  • Set the arm so that it is in the start or 0mm position (float is hanging vertically)
  • Click on the First Point Button
  • Raise the arm up to the 90° horizontal position
  • Enter the 1000 into the Box marked Second Point.
  • Click on the Second Point Button
  • Notice that new calibration offset and gain figures have been calculated and 1000 is now in the Scale Gain Box.
  • Click on the Write Unit, Scaling and Calibration values to the Logger button to send the new settings to the logger.

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Resistance

Strictly speaking there is no calibration procedure for resistance measurements but the value of the load resistor used in the logger circuit must be entered as an offset into the Calibration Offset box.

The circuit for the measurment of resistance using a GP-HR is:

The Omnilog software needs to know the exact value of R1, the load resistor.

The circuit should be unplugged from the logger and the exact value of the load resistor read in Kohms with an accurate meter.

The value in Kohms is then entered into the Offset box in the calibration area. eg, If the read resistance is 118.23Kohms then 118.23 is entered as the Calibration offset as shown below:

Click the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Wind Speed

Strictly speaking there is no calibration procedure for Wind Speed but a Calibration Gain should be entered into the system so that the Wind Speed is in Meters per Second. The Wind Speed sensor will produce pulses as it rotates. The sensors documentation will indicate how many pulses per unit distance. For example the TruTrack Wind Speed Sensor gives 2 pulses per meter of wind run. A wind speed of 1 meter per second will give 2 pulses per second. So 1 m/s divided by 2 pulses per second gives us a gain of 0.5

The gain for the Windspeed Sensor should be calculated in this way then entered in the Gain area of the Calibration Box

Next select the units required using the Select button in the Units and Sxcaling Box

Then click on the Write Unit, Scaling and Calibration values to the Logger button

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Wind Direction

Calibration of the Wind Direction sensor is not required, however it is important to insure that the wind vane is orientated correctly relative to true North South.

  • Realtime read the Wind Direction Sensor and rotate the vane to read 180°
  • Determine the direction of True South (using a compass and the current magnetic deveation for your location)
  • Rotate the whole Wind Direction Sensor body and adjust the Wind Vane until the Vane is pointing True South and the Realtime read indicates 180°. (Rotating the whole Wind Direction Sensor body may involve rotation of the crossarm that the sensor is connected to)

Channel 1 of the GP-MC has special damping for Wind Vanes. Channel 1 to 3 of a GP-HR and Channel 2 to 8 of a GP-MC will respond to changes in the wind vane direction immediatly. If the wind vane is on Channel 1 of a GP-MC either wait for the reading to stabalise each time the vane is moved or set the Channel 1 Average Time to 0 in the Logger Control Screen - Start Logger Page and restart the logger (this turns the Channel 1 Damping off).

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Raw AtoD

The Raw Analog to Digital Probe type is used to see the actual values being red by the Analog to Digital Converters in the loggers. This requires no calibration and the Calibration Offset should be left at 0 and the Calibration Gain at 1. If the channel is set to Low Res it will return numbers between 0 and 255. If it is set to Hi Res it will return readings in the range from 0 to 65535.

The Value from a 12bit AtoD converter will be shifted left 4 times and look like a 16bit number in Hi Res mode

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Counter

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Flow

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Frequency

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


Switch

Switch Calibration

The Switch Probe Type requires no Calibration

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog

Light Probe


ON Time (50Hz - 60Hz)

The ON Time (50Hz or 60Hz) sensor will not require any calibration. The logger counts the number of incomming pulses from the sensor and divides by the mains frequence you have selected to give an ON Time in seconds.

The Units and Scaling Select button can be used to scale the ON Time to Minutes or Hours

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

Leaf Wetness Calibration

On Time Analog

Light Probe


Leaf Wetness Calibration

Leaf Wetness Calibration

The Leaf Wetness sensor is calibrated to read 0%Leaf Wetness when the sensor surface is dry and 100% when the surface is very wet.

  • Dry the Leaf Wetness sensor
  • Enter 0 into the First Point Actual Value box
  • Click on the First Point button
  • Sprinkle water over the Leaf Wetness sensor.
  • Enter 100 into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

On Time Analog

Light Probe


On Time Analog

The ON Time Analog probe type will not require any calibration. The logger averages the number of ON events in the logging period and the Omnilog Software transtates this average into an ON Time in seconds. Note that only Average readings are available for this probe type.

The Units and Scaling Select button can be used to scale the ON Time to Minutes or Hours

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

Light Probe


Light Probe

Light Calibration

  • Place the Light Probe in Darkness
  • Enter 0 into the First Point Actual Value box
  • Click on the First Point button
  • Place the Light Probe in bright sunlight next to a reference calibrated Light meter.
  • Enter the light intensity value from the reference calibrated Light meter into the Second Point Actual Value box
  • Click on the Second Point button
  • Click on the Write Unit, Scaling and Calibration Values to logger button

The Calibration process is now complete

See Also

Calibration Procedures

Temperature Calibration

Humidity Calibration

J Thermocouple Calibration

K Thermocouple Calibration

N Thermocouple Calibration

R Thermocouple Calibration

T Thermocouple Calibration

Thermocouple (Digital) Calibration

Pressure Calibration

Water Level Calibration

Voltage Calibration

mA Calibration

Tipping Bucket Rain Gauge Calibration

Light / Solar Energy Calibration

pH Calibration

Soil Water Tension Calibration

Rotary Distance Calibration

Resistance

Wind Speed

Wind Direction

Raw AtoD

Counter

Flow

Frequency

Switch

ON Time (50Hz - 60Hz)

Leaf Wetness Calibration

On Time Analog


Glossary of Terms

8bit 16bit

In the decimal number system that we use in everyday life, numbers are represented using the digits 0 to 9. However computer data must be stored and processed as zeros and ones (binary system). The largest whole number that can be represented by 3 digits in the decimal system is 999. The largest whole number that can be represented by 3 digits in the binary system is 111 which is the same as 7 decimal.

We refer to the number of digits used in a computer binary number as the number of bits (from Binary digITs). If we use 8 bits in binary format the largest number we can have is 11111111 or 255 decimal. If we use 16 bits in binary the largest number we can have is 1111111111111111 or 65535 decimal. Processing and storing numbers in 16bit format uses more memory but gives us access to larger numbers. Processing and storing numbers in 8bit format uses less memory but gives us a much smaller number range.

In the Weather-Pro weather station the various sensors are read and converted in to digital data (Binary zeros and ones). This data can be stored in 8bit or 16bit format. If data is stored in 8bit format there is a maximum of only 255 steps from the smallest value that can be read to the largest value that can be read. The number of steps in a reading is referred to as resolution.

With 8bit resolution the readings are restricted to a maximum of 255 steps from smallest value to largest value. With 16bit resolution the readings are restricted to a maximum of 65535 steps from smallest value to largest value.

8bit format takes up less memory but has lower resolution

16bit format takes up more memory but has much higher resolution

Active Dataset

The Active Dataset is selected and displayed in the Dataset Selector on the Toolbar. The Values, Statistics and Graph views are views of the Active dataset at the time the view was started.

Anemometer

Instrument used for measuring wind speed

Barometric Pressure

Another term for Air or Atmospheric Pressure. The weight that a column of atmospheric air exerts in a surface area. It is measured in:

  • HectorPascals hPa
  • Millibars mb
  • Pounds per square inch psi
  • Atmospheres ammos
  • Inches of Mercury inHg
  • Millimeters of Mercury mmHg
Comms Port

Refers to the physical RS232 communications port on the back of a Computer. One of these needs to be available to use the OmniLog software to control a Datalogger.

Configeration Area

In this document configuration area refers to the area within the Datalogger that controls the operation of the Logger. This area can be read and modified by the OmniLog program.

Connecter Logger

The logger that is currently connected to your computer. If Connected Logger is showing as the Active Dataset you can Control the logger and read its channels in Realtime.

Dataset

A Dataset is a set of data available within the program. The current Dataset is selected using the Dataset selection tool in the main toolbar.

Derived Dataset

A Derived Datase tis created by joining one or more Datasets. The data in the Dataset has been derived from a number of different loggers. Derived datasets are also created when a derived channel is added to a dataset.

Dew Point

The temperature at which the relative humidity would reach 100% and dew would form.

Download

The act of getting the saved data from the Datalogger and placing it into the current Logger Dataset.

Download Cable

A cable used to connect a Datalogger to a Computer. The 2 pin, 3 pin , microToT/SafeT and Multi-channel logger all require a different type of cable

Leaf Wetness

A percentage index indicating the relative wetness of a typical leaf. This wetness is the result of humidity and precipitation.

Light Energy

The energy produced by the sun and measured at the Light Energy sensor. This includes not only the energy from visible light but also energy from the infrared and ultraviolet areas of the spectrum either side of the visible light. The accumulated light energy can be used as a indication of the amount of photosynthesis that plants can perform in a given time period.

Log File

Downloaded data is saved in a Log file with a .log file extension. The Log file contains information on the logger and the logged data. This file can be reloaded at a later time to create a new dataset.

Logging Period

The period between each time the Datalogger reads the probes and saves the readings to memory.

OmniLog Assistant

The OmniLog Assistant is a dialog box designed to assist new users in the operation of the Omnilog Software. It can be disabled from the Program Tab of the Tools... Options... dialog box.

Pager

A Pager is a device that can be called up by telephone and it alerts the person carrying that someone or something is trying to contact them

Relative Humidity

The measure of amount of moisture held by the air expressed as a ratio of the total amount of water that the air could hold . As Air Temperature increases the amount of water that the air can hold also increases so the Relative Humidity is very temperature dependent. For a given amount of moisture in a given volume of air, the Relative Humidity will decrease as the temperature increases. The term is usually used to distinguish the readings from Absolute Humidity which is a measure of the actual amount of moisture in a given volume of air and is usually measured in millimeters of water per cubic meter of air.

RJ11

Electronics Industry name given to the small plug used on the serial communications cable of the Weather-Pro

RS232

Strictly speaking, RS232 is an electrical specification for a serial communication system. It usually refers to the serial port of a computer or other device such as a Datalogger

RS485

Strictly speaking, RS485 is an electrical specification for a serial communication system. The Multi-Channel Plus and Weather-Pro Plus weather station uses an RS485 link to collect readings from remote sensors.

Sample

Normally refers to a single value within a Dataset but may also refer to a set of values within a Dataset that where recorded at the same time

Slow Pulse Input

A pulse input on the rain loggers, multi channel loggers and weather stations used for the connection of a Tipping Bucket Rain Gauge. The input can accept a maximum pulse rate of up to 5 pulses per second with a minimum pulse duration of 1ms).

Solar Radiation Shield

The solar radiation shield houses the temperature, humidity and pressure sensors. Fins on the shield encourage air flow through the housing so that the temperature, humidity and pressure sensors are kept at air temperature and are not warmed by direct exposure to solar radiation.

Tadiran

Brand of Battery used by the Weather-Pro Station. When purchasing specify 3.6Volt AA High Energy Lithium, Part Number TL-5903

Wind Chill Factor

When air moves over an object, energy (temperature) is transferred to the moving air and therefore lost from the object. The faster the air moves the more energy (temperature) is lost. This loss of temperature with air speed is referred to as Wind Chill. In the Omnilog software a derived Wind Chill channel can be added to any dataset that contained both Temperature and Windspeed. The Wind Chill is expressed as the heat loss that would occur e at the equivalent Temperature in relatively still but not stationary air.

Wind Vane

Instrument used to measure the direction of the wind.


JavaControl

This web page uses frames, but your browser doesn't support them.